<?php

//订单发起
$burying_point['order_init'] = [
    0=>'pay_type',//支付币种
    1=>'pay_amount',//支付金额
    2=>'pay_reason',//支付项目
    3=>'pay_num',//是第几次发起充值
    4=>'event_tier',//收集活动数值
    5=>'event_level',//收集活动层数
    6=>'event_currentlevel_symbol_num',//收集标志此层数量
    7=>'event_currentlevel_final',//收集标志此层总数
    8=>'event_symbol_num',//收集到的总数，不分层
    9=>'event_remaintime',//收集剩余时间
    10=>'lastpay_time',//上次支付时间
    11=>'tournament_place',//锦标赛名次
    12=>'tournament_level',//锦标赛进度
    13=>'tournament_symbol_num',//锦标赛标志数量
    14=>'tournament_remaintime',//锦标赛剩余时间
    15=>'login_time',//本次登陆时长
];

//订单完成
$burying_point['order_finish'] = [
    0=>'pay_type',//支付币种
    1=>'pay_amount',//支付金额
    2=>'pay_reason',//支付项目
    3=>'pay_num_finish',//是第几次完成充值
    4=>'pay_method',//支付方式
    5=>'event_tier',//收集活动数值
    6=>'event_level',//收集活动层数
    7=>'event_currentlevel_symbol_num',//收集标志此层数量
    8=>'event_currentlevel_final',//收集标志此层总数
    9=>'event_symbol_num',//收集到的总数，不分层
    10=>'event_remaintime',//收集剩余时间
    11=>'lastpay_time',//上次支付时间
    12=>'tournament_place',//锦标赛名次
    13=>'tournament_level',//锦标赛进度
    14=>'tournament_symbol_num',//锦标赛标志数量
    15=>'tournament_remaintime',//锦标赛剩余时间
    16=>'login_time',//本次登陆时长
    17=>'current_session_time',//当前累计游戏时长
];

//发起邀请
$burying_point['invite_friend'] = [];

//发起邀请
$burying_point['好友进入游戏'] = [
    0=>'friend_uid',//好友的id
];

//字段说明
$burying_point['explain'] = [
    'pay_type'=>'支付币种',
    'pay_amount'=>'支付金额',
    'pay_reason'=>'支付项目',
    'pay_num_finish'=>'是第几次完成充值',
    'pay_num'=>'是第几次发起充值',
    'pay_method'=>'支付方式',
    'event_tier'=>'收集活动数值',
    'event_level'=>'收集活动层数',
    'event_currentlevel_symbol_num'=>'收集标志此层数量',
    'event_currentlevel_final'=>'收集标志此层总数',
    'event_symbol_num'=>'收集到的总数，不分层',
    'event_remaintime'=>'收集剩余时间',
    'lastpay_time'=>'上次支付时间',
    'tournament_place'=>'锦标赛名次',
    'tournament_level'=>'锦标赛进度',
    'tournament_symbol_num'=>'锦标赛标志数量',
    'tournament_remaintime'=>'锦标赛剩余时间',
    'login_time'=>'本次登陆时长',
    'current_session_time'=>'当前累计游戏时长',
    'friend_uid'=>'好友的id',
];

return $burying_point;