<?php
defined('BASEPATH') OR exit('No direct script access allowed');
$config['menu'] = [
    [ 
        "t" => '关键数据',
        "url" => "welcome/main",
    ],
    [
        "t" => '数据统计',
        "url" => "",
        "child" => [
            [
                "t" => "每日留存统计",
                "url" => "remain/index",
            ],
            [
                "t" => "每日新增",
                "url" => "statistics/index",
            ],
            [
                "t" => "每日登陆",
                "url" => "statistics/login",
            ],
//            [
//                "t" => "金币流入流出汇总",
//                "url" => "statistics/moneyinoutsummary",
//            ],
            [
                "t" => "金币流入流出明细",
                "url" => "statistics/moneyinout",
            ],
            [
                "t" => "钻石流入流出明细",
                "url" => "statistics/diamondinout",
            ],
//            [
//                "t" => "在线玩家",
//                "url" => "statistics/online",
//            ],
//            [
//                "t" => "在玩玩家",
//                "url" => "statistics/playing",
//            ],
            [
                "t" => "在线在玩",
                "url" => "statistics/onlineplaying",
            ],
            [
                "t" => "事件统计",
                "url" => "statistics/event",
            ],
            [
                "t" => "玩家筹码等级版本分布",
                "url" => "statistics/moneylevel",
            ],
            [
                "t" => "玩家钻石分布",
                "url" => "statistics/diamondlevel",
            ],
            [
                "t" => "破产数据",
                "url" => "broke/index",
            ],
            [
                "t" => "流失玩家数据",
                "url" => "lose/index",
            ],
            [
                "t" => "场次玩牌人数实时数据",
                "url" => "levelinfo/index",
            ],
            [
                "t" => "每日场次玩牌局数统计",
                "url" => "levelinfo/player",
            ],
            [
                "t" => "比赛场金流牌局统计",
                "url" => "match/statistics",
            ],
            [
                "t" => "红黑玩牌统计",
                "url" => "redblack/statistics",
            ],
            [
                "t" => "实时牌桌数统计",
                "url" => "levelinfo/getPlayingTids",
            ],
            [
                "t" => "活跃用户在线时间统计",
                "url" => "statistics/useronlinetime",
            ]
        ]
    ],
    [
        "t" => '支付相关',
        "url" => "",
        "child" => [
            [
                "t" => "支付汇总",
                "url" => "payment/total",
            ],
            [
                "t" => "订单查询",
                "url" => "payment/index",
            ],
            [
                "t" => "支付玩家查询",
                "url" => "payment/userindex",
            ],
            [
                "t" => "支付玩家统计",
                "url" => "payment/getPayUserStatistics",
            ],
            [
                "t" => "账单金额汇总",
                "url" => "payment/account",
            ],
            [
                "t" => "第三方平台账单对比",
                "url" => "payment/checking",
            ],
        ]
    ],
    [
        "t" => '运营相关',
        "url" => "",
        "child" => [
            [
                "t" => "自动早报统计",
                "url" => "statistics/report",
            ],
            [
                "t" => "兑换码相关",
                "url" => "exchange/index",
            ],
            [
                "t" => "机器人输赢查询",
                "url" => "robot/earnmoney",
            ],
            [
                "t" => "机器人列表",
                "url" => "robot/list",
            ],
//            [
//                "t" => "游戏开关",
//                "url" => "switches/getList",
//            ],
            [
                "t" => "信鸽推送",
                "url" => "push/index",
            ],
            [
                "t" => '消息公告',
                "url" => 'user/newsList',
            ],
            [
                "t" => '大喇叭列表',
                "url" => 'speaker/index',
            ],
            [
                "t" => '广告商广告效果添加',
                "url" => 'advertiser/index',
            ],
            [
                "t" => '用户召回',
                "url" => 'recallback/index',
            ],
            [
                "t" => '邀请码兑换记录',
                "url" => 'invitecode/index',
            ]
        ]
    ],
    [
        "t" => '用户相关',
        "url" => "",
        "child" => [
            [
                "t" => '用户信息',
                "url" => 'user/index',
            ],
            [
                "t" => '牌局查询',
                "url" => 'user/pokerlog',
            ],
            [
                "t" => '金币查询',
                "url" => 'user/moneylog',
            ],
            [
                "t" => '钻石查询',
                "url" => 'user/diamondlog',
            ],
            [
                "t" => '玩家反馈',
                "url" => 'user/feedback',
            ],
            [
                "t" => '用户Line认证',
                "url" => 'user/lineauth',
            ],
        ]
    ],
    [
        "t" => '配置相关',
        "url" => "",
        "child" => [
            [
                "t" => "桌子配置",
                "url" => "config/table",
            ],
            [
                "t" => "比赛场桌子配置",
                "url" => "config/matchtable",
            ],
            [
                "t" => "奥马哈桌子配置",
                "url" => "config/omahatable",
            ],
            [
                "t" => "私人房桌子配置",
                "url" => "config/privatetable",
            ],
            [
                "t" => "礼品配置",
                "url" => "gift/index",
            ],
            [
                "t" => "版本更新管理",
                "url" => "gameupdate/index",
            ],
            [
                "t" => "比赛场配置",
                "url" => "match/index",
            ],
            [
                "t" => "快捷商品配置",
                "url" => "levelinfo/goods",
            ],
            [
                "t" => "任务配置",
                "url" => "task/index",
            ],
            [
                "t" => "成就配置",
                "url" => "task/indexcj",
            ],
            [
                "t" => "游戏开关",
                "url" => "switches/getList",
            ],
            [
                "t" => "支付商品配置",
                "url" => "goods/index",
            ],
            [
                "t" => "红黑配置",
                "url" => "redblack/config",
            ],
            [
                "t" => "活动配置",
                "url" => "activity/index",
            ],
        ]
    ],
    [
        "t" => '开发调试相关', 
        "url" => "",
        "child" => [
            [
                "t" => '模拟接口',
                "url" => 'debug/request',
            ],
            [
                "t" => '代码调试',
                "url" => 'debug/evalphp',
            ],
        ]
    ],
];