<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>vip配置</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <link rel="stylesheet" href="<?php echo base_url();?>public/css/jquery.timepicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/select2/select2.min.css">

    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="form" action="#" style="margin-top: 20px">
                <header><i class="fa fa-fw fa-file"></i>crazy_bet 活动触发配置</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="submitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <div class="row" style="border: 1px solid #CCC;margin:10px 5px;padding: 5px 0;">
                            <div class="form-group" >
                                <label class="col-sm-1 control-label">触发体力</label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="crazyBet[spins]" value="<?php echo $crazyBet['spins'];?>">
                                </div>
                                <label class="col-sm-1 control-label">触发次数(日)</label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="crazyBet[times]" value="<?php echo $crazyBet['times'];?>">
                                </div>
                                <label class="col-sm-1 control-label">触发时长(分钟)</label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="crazyBet[time]" value="<?php echo $crazyBet['time'];?>">
                                </div>
                                <label class="col-sm-1 control-label">间隔时长(分钟)</label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="crazyBet[interval]" value="<?php echo $crazyBet['interval'];?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        $('#submitBtn').click(function () {
            var data = new FormData(document.getElementById("form"));
            $.ajax({
                url: rootPath + 'Config/actionActivityLimit',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false, //必须
                processData: false, //必须
                success: function (data) {
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });
</script>
</html>
