<style type="text/css">
    th, td {
        text-align: center;
    }

    .has-num {
        color: green;
        font-weight: bold;
        font-size: 19px;
    }
</style>
<div class="content_wrapper">
<div id="msg-tip"></div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>在线实时桌子统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <!--德州场-->
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <?php if(!empty($game)) {
                                            $blindKeys = array_keys($game);
                                            $count = count($blindKeys);
                                        } ?>
                                        <table id="configTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th colspan="<?php echo ($count ?? 0 ) + 1;?>" style="text-align: center;font-size: 20px;">德州场</th>
                                            </tr>
                                            <tr>
                                                <th>盲注</th>
                                                <?php if(!empty($blindKeys)) {
                                                    foreach ($blindKeys as $k => $blind) { ?>
                                                        <th ><?php echo $blind;?></th>
                                                <?php  }
                                                } ?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <td></td>
                                            <?php if(!empty($game)) {
                                                foreach ($game as $k => $num) { ?>
                                                    <td class="<?php if($num > 0){echo 'has-num';}?>"><?php echo $num;?></td>
                                                <?php  }
                                            } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <!--奥马哈场-->
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <?php if(!empty($omaha)) {
                                            $blindKeys2 = array_keys($omaha);
                                            $count2 = count($blindKeys2);
                                        } ?>
                                        <table id="configTable2" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th colspan="<?php echo ($count2 ?? 0 ) + 1;?>" style="text-align: center;font-size: 20px;">奥马哈场</th>
                                            </tr>
                                            <tr>
                                                <th>盲注</th>
                                                <?php if(!empty($blindKeys2)) {
                                                    foreach ($blindKeys2 as $k => $blind2) { ?>
                                                        <th ><?php echo $blind2;?></th>
                                                    <?php  }
                                                } ?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <td></td>
                                            <?php if(!empty($omaha)) {
                                                foreach ($omaha as $k => $num2) { ?>
                                                    <td class="<?php if($num2 > 0){echo 'has-num';}?>"><?php echo $num2;?></td>
                                                <?php  }
                                            } ?>
                                            </tbody>
                                        </table>
                                    </div>

                                </div>

                                <!--私人房-->
                                <div class="col-sm-3">
                                    <div class="table-responsive">
                                        <table id="configTable4" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th colspan="2" style="text-align: center;font-size: 20px;">私人房</th>
                                            </tr>
                                            <tr>
                                                <th>场次</th>
                                                <th>100</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <td></td>
                                            <td class="<?php if($private[100] > 0){echo 'has-num';}?>"><?php echo $private[100];?></td>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <!--比赛场-->
                                <div class="col-sm-9">
                                    <div class="table-responsive">
                                        <?php if(!empty($match)) {
                                            $levelKeys3 = array_keys($match);
                                            $count3 = count($levelKeys3);
                                        } ?>
                                        <table id="configTable3" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th colspan="<?php echo ($count3 ?? 0 ) + 1;?>" style="text-align: center;font-size: 20px;">比赛场</th>
                                            </tr>
                                            <tr>
                                                <th>场次</th>
                                                <?php if(!empty($levelKeys3)) {
                                                    foreach ($levelKeys3 as $k => $level) { ?>
                                                        <th ><?php echo $level;?></th>
                                                    <?php  }
                                                } ?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <td></td>
                                            <?php if(!empty($match)) {
                                                foreach ($match as $k => $num3) { ?>
                                                    <td class="<?php if($num3 > 0){echo 'has-num';}?>"><?php echo $num3;?></td>
                                                <?php  }
                                            } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>


                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>

</div>

