<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">

        <aside>
            <section>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-12">
                            <form class="form-inline" role="form" method="POST" action="#operate/dailySimple" name="stanpform">
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>开始时间</label>
                                    <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                </div>
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>结束时间</label>
                                    <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                </div>
                                <button type="submit" class="btn btn-primary">查询</button>
                            </form>
                        </div>
                    </div>
                </div>
            </section>
        </aside>

        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>运营日报 简报</header>
                    <section>
                        <div class="container-fluid">

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="example" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th>日期</th>
                                                <th>DAU</th>
                                                <th>DNU</th>
                                                <th>EDAU</th>
                                                <th>付费人数</th>
                                                <th>付费金额</th>
                                                <th>付费率</th>
                                                <th>ARPU</th>
                                                <th>ARPPU</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if(is_array($list)){
                                                foreach ($list as $key => $val) {
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $val['date'];?></td>
                                                        <td><?php echo $val['dau'];?></td>
                                                        <td><?php echo $val['new_player'];?></td>
                                                        <td><?php echo $val['dau'] - $val['new_player'];?></td>
                                                        <td><?php echo $val['pay_num'];?></td>
                                                        <td><?php echo $val['revenue'];?></td>
                                                        <td><?php echo $val['pay_rate'];?></td>
                                                        <td><?php echo $val['arpu'];?></td>
                                                        <td><?php echo $val['arppu'];?></td>
                                                    </tr>
                                                <?php } } else{?>
                                                <tr>
                                                    <td colspan="10">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>

                                            </tbody>
                                        </table>
                                    </div>

                                    <nav>
                                        <ul class="pagination">
                                            <li class="disabled"><a href="#">共<span class="pagetotal"><?php echo $total;?></span>条</a></li>
                                            <?php echo $pageurl;?>
                                        </ul>
                                    </nav>

                                </div>
                            </div>

                        </div>
                    </section>
                </aside>
            </div>
        </div>




    </div>
</div>


<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });


</script>