<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>
<div class="content_wrapper">

    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#payment/userindex">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                                <label>开始时间: </label>
                                                <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="payment_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                                <label>结束时间: </label>
                                                <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="payment_etime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label class="radio-inline">
                                              <input type="radio" name="payment_type" id="inlineRadio1" value="2" <?php if($payment_type == 2){echo 'checked="checked"';}?>> 支付成功
                                            </label>
                                            <label class="radio-inline">
                                              <input type="radio" name="payment_type" id="inlineRadio2" value="1" <?php if($payment_type == 1){echo 'checked="checked"';}?>> 所有
                                            </label>
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                        <a href="<?php echo site_url().'/payment/reportExport'?>" target="_blank" class="btn btn-default pull-right" >导出报表</a>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>订单查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="example" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th>序号</th>
                                                <th>UID</th>
                                                <th>数量</th>
                                                <th>金额(美金)</th>
                                                <th>是否测试</th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            <?php 
                                                if(is_array($list)){
                                                    foreach ($list as $key => $val) {
                                                        $isTest = in_array($val['uid'], $blackUidList) ? 1 : 0;
                                            ?>
                                            <tr>
                                                <td><?php echo $page + $key + 1;?></td>
                                                <td><a href="<?php echo base_url().'#payment/index?uid='.$val['uid'];?>"><?php echo $val['uid'];?></a></td>
                                                <td><?php echo $val['num'];?></td>
                                                <td>$<?php echo round($val['money'], 2);?></td>
                                                <td><?php echo $isTest ? '是' : '';?></td>
                                            </tr>
                                            <?php } } else{?>
                                            <tr>
                                                <td colspan="10">暂无数据</td>
                                            </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <nav>
                                        <ul class="pagination">
                                            <li class="disabled"><a href="#">共<span class="pagetotal"><?php echo $total;?></span>条</a></li>
                                            <?php echo $pageurl;?>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>

</div>

<script>
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>