<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>修改活动</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <link rel="stylesheet" href="<?php echo base_url();?>public/css/jquery.timepicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/select2/select2.min.css">

    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="goodForm" action="#" style="margin-top: 20px">
                <input type="hidden" class="form-control" name="type" value="<?php echo $type;?>">
                <header><i class="fa fa-fw fa-file"></i>限时礼包</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="goodsubmitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <?php foreach ($list as $key => $vl) { ?>
                            <div class="row" style="border: 1px solid #CCC;margin:10px 5px;padding: 5px 0;">
                                <div class="form-group" >
                                    <label class="col-sm-1 control-label">商品GID*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control" readonly name="good[<?php echo $vl['gid'];?>][gid]" value="<?php echo $vl['gid'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品名称*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gname]" value="<?php echo $vl['gname'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品SKU*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gsku]" value="<?php echo $vl['gsku'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品简介*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gdesc]" value="<?php echo $vl['gdesc'];?>">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-1 control-label">商品价格*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gprice]" value="<?php echo $vl['gprice'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品限购*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gMax]" value="<?php echo $vl['gMax'];?>">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-1 control-label">商品货物*: </label>
                                    <div class="col-sm-11">
                                    	<div class="container-fluid addOrDelControl" style="border: 1px solid #CCC;margin: 20px 15px;padding-top: 10px;">
                                            <?php foreach ($vl['goriginReward'] as $k => $reward) { ?>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">奖品*: </label>
                                                    <div class="col-sm-3">
                                                        <select class="form-control typeControl" name="good[<?php echo $vl['gid'];?>][goriginReward][propsId][]" id="type_<?php echo $vl['gid'];?>_<?php echo $k;?>">
                                                            <?php foreach ($idData as $x => $y) { ?>
                                                                <option value="<?php echo $x;?>" <?php if($reward['propsId'] == $x) echo 'selected'; ?>><?php echo $y['name'];?></option>
                                                            <?php } ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">数量*: </label>
                                                    <div class="col-sm-2">
                                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][goriginReward][num][]" value="<?php echo $reward['num'];?>">
                                                    </div>
                                                    <!--<button type="button" class="btn btn-danger deleteParent" >删除</button>-->
                                                </div>
                                            <?php } ?>
                                            <!--<button type="button" class="btn btn-success addParent" pro="<?php echo $vl['gid'];?>" k="<?php echo count($reward);?>" style="margin-left: 12px;margin-bottom: 10px;">增加</button>-->
                                        </div>
                                        <div class="col-sm-4">
                                            <span style="display: inline-block">金币:</span>
                                            <input type="text" disabled class="form-control" name="" value="代码固定值" style="display: inline-block;width: 75%">
                                        </div>
                                        <div class="col-sm-4">
                                            <span style="display: inline-block">赠送体力:</span>
                                            <input type="text" class="form-control" name="good[<?php echo $vl['gid'];?>][gbaseReward]" value="<?php echo $vl['gbaseReward'];?>" style="display: inline-block;width: 75%">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        $('#goodsubmitBtn').click(function () {
            var data = new FormData(document.getElementById("goodForm"));
            $.ajax({
                url: rootPath + 'shop/actionConfig',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false, //必须
                processData: false, //必须
                success: function (data) {
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });
</script>
</html>
