<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>修改活动</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <link rel="stylesheet" href="<?php echo base_url();?>public/css/jquery.timepicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/select2/select2.min.css">

    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="goodForm" action="#" style="margin-top: 20px">
                <header><i class="fa fa-fw fa-file"></i>商店横条</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="goodsubmitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <div class="row AllTypeControl" style="border: 1px solid #CCC;margin:10px 5px;padding: 5px 0;">
                            <div class="form-group">
                                <label class="col-sm-1 control-label">开关(1开0关): </label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="conf[isOpen]" value="<?php echo $conf['isOpen'];?>">
                                </div>
                                <label class="col-sm-1 control-label">间隔时间(秒): </label>
                                <div class="col-sm-1">
                                    <input type="text" class="form-control"  name="conf[interval]" value="<?php echo $conf['interval'];?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-1 control-label">奖励*: </label>
                                <div class="col-sm-8">
                                    <div class="container-fluid addOrDelControl" style="border: 1px solid #CCC;margin: 20px 15px;padding-top: 10px;">
                                        <?php foreach ($conf['reward'] as $k => $reward) { ?>
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">奖励*: </label>
                                                <div class="col-sm-3">
                                                    <select class="form-control typeControl" name="conf[reward][propsId][]">
                                                        <?php foreach ($idData as $x => $y) { ?>
                                                            <option value="<?php echo $x;?>" <?php if($reward["propsId"] == $x) echo 'selected'; ?>><?php echo $y['name'];?></option>
                                                        <?php } ?>
                                                    </select>
                                                </div>
                                                <label class="col-sm-1 control-label">数量*: </label>
                                                <div class="col-sm-2">
                                                    <input type="text" class="form-control"  name="conf[reward][num][]" value="<?php echo $reward['num'];?>">
                                                </div>
                                                <button type="button" class="btn btn-danger deleteParent" >删除</button>
                                            </div>
                                        <?php } ?>
                                        <button type="button" class="btn btn-success addParent" style="margin-left: 12px;margin-bottom: 10px;">增加</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        var idData = JSON.parse('<?php echo json_encode($idData); ?>');

        $('.addOrDelControl').on("click",'.deleteParent',function(){
            $(this).parent().remove();
        });

        $('.addParent').on("click",function(){
            var str = '';
            str += '<div class="form-group"><label class="col-sm-1 control-label">奖励*: </label><div class="col-sm-3"><select class="form-control typeControl" name="conf[reward][propsId][]">';
            for(var x in idData) {
                str += '<option value="'+x+'">'+idData[x]['name']+'</option>';
            }
            str += '</select></div><label class="col-sm-1 control-label">数量*: </label><div class="col-sm-2"><input type="text" class="form-control"  name="conf[reward][num][]" value="1"></div><button type="button" class="btn btn-danger deleteParent" >删除</button></div>';
            $(this).before(str);
        });
        $('#goodsubmitBtn').click(function () {
            var data = new FormData(document.getElementById("goodForm"));
            $.ajax({
                url: rootPath + 'shop/actionFreeBar',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false, //必须
                processData: false, //必须
                success: function (data) {
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });
</script>
</html>
