<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>RFM资源产销统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/assetsRFMSta" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>统计时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($date) echo $date;?>" placeholder="统计时间" name="date" />
                                        </div>
                                        <span class="gap"></span>

                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <div class="table-responsive">
                        <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th colspan="2" style="text-align: center;vertical-align: middle;width:200px;">用户分组等级</th>
                                <?php
                                foreach($groupList as $row){
                                    echo '<th style="text-align: center;vertical-align: middle;width:200px;">'.$row['name'].'</th>';
                                }
                                ?>
                                <th style="text-align: center;vertical-align: middle;">合计</th>
                            </tr>
                            </thead>
                            <tbody id="reportBody">
                            <?php
                            foreach($list as $type => $row){
                                echo '<tr>';
                                echo '<td rowspan="2">'.$type.'</td>';
                                echo '<td>+</td>';
                                $sum = 0;
                                foreach($groupList as $vo){
                                    $temp = $row['+'][$vo['id']] ?? 0;
                                    echo '<td>'.$temp.'</td>';
                                    $sum += $temp;
                                }
                                echo "<td>{$sum}</td>";
                                echo '</tr>';
                                echo '<tr>';
                                echo '<td>-</td>';
                                $sum = 0;
                                foreach($groupList as $vo){
                                    $temp = $row['-'][$vo['id']] ?? 0;
                                    echo '<td>'.$temp.'</td>';
                                    $sum += $temp;
                                }
                                echo "<td>{$sum}</td>";
                                echo '</tr>';
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                </aside>
            </div>
        </div>


    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">


</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>