<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/channelQuality/2" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="remain_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="remain_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
        <?php
        function formatChipRound($value, $round=2)
        {
            $value = ceil($value);

            if(1 <= abs($valueB = round($value / 1000000000, $round))) {
                return  $valueB . 'B';
            }else if(1 <= abs($valueM=round($value / 1000000, $round))) {
                return $valueM . 'M';
            }else if(1 <= abs($valueK = round($value / 1000), $round)) {
                return $valueK . 'K';
            }else {
                return $value;
            }
        }
        ?>
                                            
		
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>ROI水平测算统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="table-responsive">
                                    <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                        <thead>
	                                        <tr>
	                                            <th rowspan="2" style="text-align: center;vertical-align: middle;">日期</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">次日</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">7日</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">15日</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">30日</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">CPI($)</th>
	                                            <th colspan="1" style="text-align: center;vertical-align: middle;">ROI_30d</th>
	                                        </tr>
                                        
                                        </thead>
                                        <tbody id="reportBody">
                                        <?php
                                         if(is_array($daylist)){
                                            foreach($daylist as $k => $val){
                                                ?>
                                                <tr>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $val;?></td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $day1Remain[$k];?>%</td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $day7Remain[$k];?>%</td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $day15Remain[$k];?>%</td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $day30Remain[$k];?>%</td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1"><?php echo $cpi[$k];?></td>
                                                	<td style="text-align: center;white-space: nowrap" rowspan="1">
                                                	<?php 
                                                		echo round($ltv30[$k] / $cpi[$k] ,4) * 100;
                                                	?>
                                                	%</td>
                                                </tr>
                                                
                                                <?php
                                            }
                                         }
                                        ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>

<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>