<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/friendRecallremainSta" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="payuserindex_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="payuserindex_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>

        <?php
        function formatChipRound($value, $round=2)
        {
            $value = ceil($value);

            if(1 <= abs($valueB = round($value / 1000000000, $round))) {
                return  $valueB . 'B';
            }else if(1 <= abs($valueM=round($value / 1000000, $round))) {
                return $valueM . 'M';
            }else if(1 <= abs($valueK = round($value / 1000), $round)) {
                return $valueK . 'K';
            }else {
                return $value;
            }
        }
        ?>


        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>好友召回留存统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="table-responsive">
                                    <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                        <thead>
                                            <tr>
                                                <th rowspan="2" style="text-align: center;vertical-align: middle;">日期</th>
                                                <th rowspan="2" style="text-align: center;vertical-align: middle;">点击召回按钮数量</th>
                                                <th rowspan="2" style="text-align: center;vertical-align: middle;">点击消息数量</th>
                                                <th rowspan="2" style="text-align: center;vertical-align: middle;">成功召回数量</th>
                                                <th colspan="4" style="text-align: center;vertical-align: middle;">留存</th>
                                            </tr>
                                            <tr>
                                                <th style="text-align: center;vertical-align: middle;">次留</th>
                                                <th style="text-align: center;vertical-align: middle;">3日</th>
                                                <th style="text-align: center;vertical-align: middle;">7日</th>
                                                <th style="text-align: center;vertical-align: middle;">30日</th>
                                            </tr>
                                        </thead>
                                        <tbody id="reportBody">
                                        <?php
                                        if(is_array($data)){
                                            foreach($data as $date => $val){
                                                ?>
                                                <tr>
                                                    <td style="white-space: nowrap"><?php echo $date;?></td>
                                                    <td style="white-space: nowrap"><?php echo $val['clickBtnSum'] ?? 0;?></td>
                                                    <td style="white-space: nowrap"><?php echo $val['clickMessSum'] ?? 0;?></td>
                                                    <td style="white-space: nowrap"><?php echo $val['successSum'] ?? 0;?></td>
                                                    <td style="white-space: nowrap"><?php echo $val['remain_1'];?>%</td>
                                                    <td style="white-space: nowrap"><?php echo $val['remain_3'];?>%</td>
                                                    <td style="white-space: nowrap"><?php echo $val['remain_7'];?>%</td>
                                                    <td style="white-space: nowrap"><?php echo $val['remain_30'];?>%</td>
                                                </tr>
                                                <?php
                                            }
                                        }
                                        ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>


    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>

<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>