<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/levellost" name="stanpform">
                                        <input type="hidden" name="moneyinout_post" value="1">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="moneyinout_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="moneyinout_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
            <div class="row">
                <div class="col-sm-12">
                    <aside>
                        <header><i class="fa fa-fw fa-file"></i>基础数据</header>
                        <section>
                            <div class="container-fluid">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="table-responsive">
                                            <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                                <thead>
                                                <tr>
                                                    <!--                                    <th rowspan="2" style="text-align: center;vertical-align: middle;">序号</th>-->
                                                    <th  style="text-align: center;vertical-align: middle;">日期</th>
                                                    <th  style="text-align: center;vertical-align: middle;">流失时间</th>
                                                    <th  style="text-align: center;vertical-align: middle;">类型</th>
<!--                                                    <th colspan="12" style="text-align: center;vertical-align: middle;">发放</th>-->
<!--                                                    <th colspan="5" style="text-align: center;vertical-align: middle;">消耗</th>-->
                                                    <!--                                    <th colspan="7" style="text-align: center">其他</th>-->
<!--                                                    <th rowspan="2" style="text-align: center;vertical-align: middle;">单日汇总</th>-->
                                                    <?php
                                                        for($i=1;$i<=25;$i++){
                                                            echo '<th style="text-align: center;vertical-align: middle;">'.$i.'关</th>';
                                                        }
                                                    ?>

                                                    <th style="text-align: center;vertical-align: middle;">总计</th>
                                                </tr>
                                                </thead>
                                                <tbody id="reportBody" style="overflow-y: scroll;">
                                                <?php
                                                if(is_array($data)){
                                                    foreach ($data as $val) {
                                                        ?>
                                                        <tr style="background-color: rgba(191,255,178,0.39)">
                                                            <?php echo '<td rowspan="6" style="text-align: center;vertical-align: middle;">'.$val['time'].'</td>'; ?>
                                                            <?php echo '<td rowspan="2" style="text-align: center;vertical-align: middle;">七日</td>'; ?>
                                                            <?php echo '<td>数值</td>'; ?>
                                                            <?php
                                                                for($i=1;$i<=25;$i++){
                                                                    $temp = ($val['seven'][$i])??0;
                                                                    echo '<td>'.$temp.'</td>';
                                                                }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['seven']))??0;
                                                                echo '<td>'.$temp.'</td>';
                                                            ?>
                                                        </tr>
                                                        <tr style="background-color: rgba(191,255,178,0.39)">
                                                            <?php echo '<td>比率</td>'; ?>
                                                            <?php
                                                                for($i=1;$i<=25;$i++){
                                                                    $temp = ($val['seven'][$i])??0;
                                                                    $total = (!empty($val['total']))?intval($val['total']):1;
                                                                    $percent = round($temp/$total*100,2);
                                                                    $str = ($percent != 0)?$percent.'%':0;
                                                                    echo '<td>'.$str.'</td>';
                                                                }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['seven']))??0;
                                                                $total = (!empty($val['total']))?intval($val['total']):1;
                                                                $percent = round($temp/$total*100,2);
                                                                $str = ($percent != 0)?$percent.'%':0;
                                                                echo '<td>'.$str.'</td>';
                                                            ?>
                                                        </tr>
                                                        <tr>
                                                            <?php echo '<td rowspan="2" style="text-align: center;vertical-align: middle;">十五日</td>'; ?>
                                                            <?php echo '<td>数值</td>'; ?>
                                                            <?php
                                                                for($i=1;$i<=25;$i++){
                                                                    $temp = ($val['fifteen'][$i])??0;
                                                                    echo '<td>'.$temp.'</td>';
                                                                }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['fifteen']))??0;
                                                                echo '<td>'.$temp.'</td>';
                                                            ?>
                                                        </tr>
                                                        <tr>
                                                            <?php echo '<td>比率</td>'; ?>
                                                            <?php
                                                                for($i=1;$i<=25;$i++){
                                                                    $temp = ($val['fifteen'][$i])??0;
                                                                    $total = (!empty($val['total']))?intval($val['total']):1;
                                                                    $percent = round($temp/$total*100,2);
                                                                    $str = ($percent != 0)?$percent.'%':0;
                                                                    echo '<td>'.$str.'</td>';
                                                                }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['fifteen']))??0;
                                                                $total = (!empty($val['total']))?intval($val['total']):1;
                                                                $percent = round($temp/$total*100,2);
                                                                $str = ($percent != 0)?$percent.'%':0;
                                                            echo '<td>'.$str.'</td>';
                                                            ?>
                                                        </tr>
                                                        <tr>
                                                            <?php echo '<td rowspan="2" style="text-align: center;vertical-align: middle;">三十日</td>'; ?>
                                                            <?php echo '<td>数值</td>'; ?>
                                                            <?php
                                                            for($i=1;$i<=25;$i++){
                                                                $temp = ($val['thirty'][$i])??0;
                                                                echo '<td>'.$temp.'</td>';
                                                            }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['thirty']))??0;
                                                                echo '<td>'.$temp.'</td>';
                                                            ?>
                                                        </tr>
                                                        <tr>
                                                            <?php echo '<td>比率</td>'; ?>
                                                            <?php
                                                                for($i=1;$i<=25;$i++){
                                                                    $temp = ($val['thirty'][$i])??0;
                                                                    $total = (!empty($val['total']))?intval($val['total']):1;
                                                                    $percent = round($temp/$total*100,2);
                                                                    $str = ($percent != 0)?$percent.'%':0;
                                                                    echo '<td>'.$str.'</td>';
                                                                }
                                                            ?>
                                                            <?php
                                                                $temp = (array_sum($val['thirty']))??0;
                                                                $total = (!empty($val['total']))?intval($val['total']):1;
                                                                $percent = round($temp/$total*100,2);
                                                                $str = ($percent != 0)?$percent.'%':0;
                                                                echo '<td>'.$str.'</td>';
                                                            ?>
                                                        </tr>
                                                    <?php } } else{?>
                                                    <tr>
                                                        <td colspan="10">暂无数据</td>
                                                    </tr>
                                                <?php } ?>
                                                </tbody>

                                            </table>
                                        </div>

<!--                                        <nav>-->
<!--                                            <ul class="pagination">-->
<!--                                                <li class="disabled"><a href="#">共<span class="pagetotal">--><?php //echo $totalNum;?><!--</span>条</a></li>-->
<!--                                                --><?php //echo $pageurl;?>
<!--                                            </ul>-->
<!--                                        </nav>-->
                                    </div>
                                </div>
                            </div>
                        </section>
                    </aside>
                </div>
            </div>
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>