<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<link rel="stylesheet" href="<?php echo base_url();?>public/plugins/datatables/jquery.dataTables.min.css">
<link rel="stylesheet" href="<?php echo base_url();?>public/plugins/datatables/extensions/Responsive/css/dataTables.responsive.css">
<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/onlineplaying3" name="stanpform">
                                        <input type="hidden" name="fromsta_onlineplaying2" value="1">
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="datetime" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="datetime" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>在线在玩查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>在线在玩查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container2" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>
</div>
</div>

<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>
<script src="<?php echo base_url();?>public/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="<?php echo base_url();?>public/plugins/datatables/extensions/Responsive/js/dataTables.responsive.min.js"></script>
<script>
    $('.datetimepicker').datepicker({
        // autoclose: true,
        minView: 0,
        minuteStep:1
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>
<script type="text/javascript">
    Highcharts.chart('container', {
        title: {
            text: '每分钟在线在玩查询'
        },

        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo "'".implode("','", array_keys($list3[key($list3)]))."'";?>]
        },
        yAxis: {
            title: {
                text: '人数'
            }
        },
        series: [
            <?php foreach($list3 as $date=>$data){ ?>
            {
                name: '<?php echo $date; ?>',
                data: [<?php echo implode(",", $data);?>]
            },
            <?php } ?>
        ],
    });
</script>
<script type="text/javascript">
    // $('.datetimepicker').datepicker({
    //     language:'zh-CN',
    //     format:'yyyy-mm-dd',
    //     zIndexOffset:906  //控制z-index
    // });
    Highcharts.chart('container2', {
        title: {
            text: '每分钟登录查询'
        },

        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo "'".implode("','", array_keys($list2[key($list2)]))."'";?>]
        },
        yAxis: {
            title: {
                text: '人数'
            }
        },
        series: [
            <?php foreach($list2 as $date=>$data){ ?>
            {
                name: '<?php echo $date; ?>',
                data: [<?php echo implode(",", $data);?>]
            },
            <?php } ?>
        ],
    });
</script>