<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/oppositeLevellost" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="moneyinout_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="moneyinout_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
        	<?php
        		foreach($date as $k => $v){
        	?>
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>关卡相对流失率</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container<?php echo $k; ?>" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
            <?php
            	}
            ?>
        </div>
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">
<?php
	foreach($date as $k => $v){
?>
    Highcharts.chart('container<?php echo $k; ?>', {
        chart: {
            type: 'line'
        },
        title: {
            text: '<?php echo $v; ?>'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo implode(",",range(1,$level)); ?>]
        },
        yAxis: {
            title: {
                text: '百分比'
            }
        },
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true
                },
                enableMouseTracking: false
            }
        },
        series: [
            {
                name:'七日',
                data:[<?php echo implode(',',$data[$k]['seven']); ?>]
            },
            {
                name:'十五日',
                data:[<?php echo implode(',',$data[$k]['fifteen']); ?>]
            },
            {
                name:'三十日',
                data:[<?php echo implode(',',$data[$k]['thirty']); ?>]
            }
        ]
    });

<?php
	}
?>
</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>