<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>RFM连环礼包收入统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/serialPackRFMSta" name="stanpform">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>统计时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($date) echo $date;?>" placeholder="统计时间" name="date" />
                                        </div>
                                        <span class="gap"></span>

                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <div class="table-responsive">
                        <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th style="text-align: center;vertical-align: middle;width:200px;">分组</th>
                                <?php
                                for($i = 1; $i <= 20; $i++){
                                    echo '<th style="text-align: center;vertical-align: middle;width:200px;">礼包'.$i.'销售额</th>';
                                    echo '<th style="text-align: center;vertical-align: middle;width:200px;">礼包'.$i.'购买人数</th>';
                                }
                                ?>
                            </tr>
                            </thead>
                            <tbody id="reportBody">
                            <?php

                            foreach($groupList as $row){
                                echo '<tr>';
                                echo '<td>'.$row['name'].'</td>';
                                for($i = 1; $i <= 20; $i++){
                                    $temp = $list[$row['id']]['total'][720+$i] ?? 0;
                                    $temp = number_format($temp,2,".","");
                                    echo '<td>'.$temp.'</td>';
                                    $temp = $list[$row['id']]['count'][720+$i] ?? 0;
                                    echo '<td>'.$temp.'</td>';
                                }
                                echo '</tr>';
                            }

                            ?>
                            </tbody>
                        </table>
                    </div>
                </aside>
            </div>
        </div>


    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">


</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>