<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/shareEventSta" name="stanpform">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>分享事件统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th rowspan="3"  style="text-align: center;vertical-align: middle;">日期</th>
                                                <th rowspan="3"  style="text-align: center;vertical-align: middle;">分享点</th>
                                                <th colspan="9" style="text-align: center;vertical-align: middle;">类型</th>
                                            </tr>
                                            <tr>
                                                <th colspan="3" style="text-align: center;vertical-align: middle;">FB邀请</th>
                                                <th colspan="3" style="text-align: center;vertical-align: middle;">MESSAGE邀请</th>
                                                <th colspan="3" style="text-align: center;vertical-align: middle;">合计</th>
                                            </tr>
                                            <tr>
                                                <th style="text-align: center;vertical-align: middle;">分享按钮点击</th>
                                                <th style="text-align: center;vertical-align: middle;">发送分享</th>
                                                <th style="text-align: center;vertical-align: middle;">领奖</th>
                                                <th style="text-align: center;vertical-align: middle;">分享按钮点击</th>
                                                <th style="text-align: center;vertical-align: middle;">发送分享</th>
                                                <th style="text-align: center;vertical-align: middle;">领奖</th>
                                                <th style="text-align: center;vertical-align: middle;">分享按钮点击</th>
                                                <th style="text-align: center;vertical-align: middle;">发送分享</th>
                                                <th style="text-align: center;vertical-align: middle;">领奖</th>
                                            </tr>
                                            </thead>
                                            <tbody id="reportBody" style="overflow-y: scroll;">
                                            <?php
                                            if(is_array($data)){
                                                foreach ($data as $key => $val) {
                                                    ?>
                                                    <tr>
                                                        <?php echo '<td rowspan="'.(count($val['types'])+1).'" style="text-align: center;vertical-align: middle;">'.$key.'</td>'; ?>
                                                    </tr>
                                                    <?php
                                                    foreach($data[$key]['types'] as $point){
                                                        echo '<tr>';
                                                        echo '<td>'.(empty($point)?'其他':$point).'</td>';
                                                        foreach([1,2] as $type){
                                                            foreach([1,2,3] as $event){
                                                                echo '<td>'.$val['list'][$type][$event][$point].'</td>';
                                                            }
                                                        }
                                                        //合计
                                                        foreach([1,2,3] as $event){
                                                            echo '<td>'.($val['list'][1][$event][$point]+$val['list'][2][$event][$point]).'</td>';
                                                        }
                                                        echo '</tr>';
                                                    }
                                                    ?>
                                                <?php } } else{?>
                                                <tr>
                                                    <td colspan="10">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>

                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>