<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/superCollectSta" name="stanpform" id="formSlot">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                        </div>
                                        <button type="button" class="btn btn-primary" onclick="submitSlot()">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>基础数据</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <style>
                                            #slotBody td{
                                                text-align: center;
                                                vertical-align: middle;
                                            }
                                        </style>
                                        <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th style="text-align: center;vertical-align: middle;">等级</th>
                                                <th style="text-align: center;vertical-align: middle;">特殊物品*1概率</th>
                                                <th style="text-align: center;vertical-align: middle;">特殊物品*2概率</th>
                                                <th style="text-align: center;vertical-align: middle;">特殊物品*3概率</th>
                                            </tr>
                                            </thead>
                                            <tbody id="slotBody">
                                            <?php
                                            if(is_array($data)){
                                                for($i = 1; $i <= $maxWorldLevel; $i++) {
                                                    ?>
                                                        <tr>
                                                            <td style="white-space: nowrap"><?php echo $i;?></td>
                                                            <td style="white-space: nowrap"><?php echo empty($data['superCollect_1'][$i])?0:$data['superCollect_1'][$i]?></td>
                                                            <td style="white-space: nowrap"><?php echo empty($data['superCollect_2'][$i])?0:$data['superCollect_2'][$i]?></td>
                                                            <td style="white-space: nowrap"><?php echo empty($data['superCollect_3'][$i])?0:$data['superCollect_3'][$i]?></td>
                                                        </tr>
                                                <?php } } else{?>
                                                <tr>
                                                    <td colspan="4">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>

                                        </table>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
    function submitSlot() {
        $("#formSlot").submit();
    }
</script>