<div class="content_wrapper">
    <div class="container-fluid">
		
		<div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>体力分布</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container10_100" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
		<div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>体力分布 1~50</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container1_49" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
		
		<div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>体力分布 50~5000+</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container50_5000" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

var chart = Highcharts.chart('container10_100', {
    chart: {
        type: 'column'
    },
    title: {
        text: '体力分布'
    },
    xAxis: {
        categories: [<?php echo "'".implode("','", $spinsRangeArr)."'";?>]
    },
    yAxis: {
        title: {
            text: '人数'
        }
    },
    plotOptions: {
        line: {
            dataLabels: {
                // 开启数据标签
                enabled: true          
            },
            // 关闭鼠标跟踪，对应的提示框、点击事件会失效
            enableMouseTracking: false
        }
    },
    series: [{
        name: '人数',
        data: [<?php echo implode(",", $spinsRangeList);?>]
    }]
});

Highcharts.chart('container1_49', {
    chart: {
        type: 'column'
    },
    title: {
        text: '体力分布 1~49'
    },
    xAxis: {
        categories: [<?php echo "'".implode("','", array_slice($spinsRangeArr,0,50) )."'";?>]
    },
    yAxis: {
        title: {
            text: '人数'
        }
    },
    plotOptions: {
        line: {
            dataLabels: {
                // 开启数据标签
                enabled: true          
            },
            // 关闭鼠标跟踪，对应的提示框、点击事件会失效
            enableMouseTracking: false
        }
    },
    series: [{
        name: '人数',
        data: [<?php echo implode(",", array_slice($spinsRangeList,0,50) );?>]
    }]
});

Highcharts.chart('container50_5000', {
    chart: {
        type: 'column'
    },
    title: {
        text: '体力分布 50~5000+'
    },
    xAxis: {
        categories: [<?php echo "'".implode("','", array_slice($spinsRangeArr,50,6) )."'";?>]
    },
    yAxis: {
        title: {
            text: '人数'
        }
    },
    plotOptions: {
        line: {
            dataLabels: {
                // 开启数据标签
                enabled: true          
            },
            // 关闭鼠标跟踪，对应的提示框、点击事件会失效
            enableMouseTracking: false
        }
    },
    series: [{
        name: '人数',
        data: [<?php echo implode(",", array_slice($spinsRangeList,50,6) );?>]
    }]
});

</script>