<?php

# 活动条件类型
const CONDITION_TYPE_LV = 'level'; # 等级
const CONDITION_TYPE_SPINS = 'spins';   # 体力
const CONDITION_TYPE_SHUSHU = 'shushu'; # 数数分组
const CONDITION_TYPE_STAR = 'star';     # 星星
const CONDITION_TYPE_VIP_POINT = 'vipPoint';     # VIP积分
const CONDITION_TYPE_LOST_DAY = 'lostDay';     # 流失天数
const CONDITION_TYPE_LOST_HOUR = 'lostHour';     # 流失小时
const CONDITION_TYPE_COIN_Y = 'coinY';     # 金币老虎机 Y值区间

/**
 * 活动类型宏定义
 */
const EASTER_EGG = 'easter_egg';                        // 四选一
const SPINS_MASTER = 'spins_master';                    // 体力大师
const JIGSAW = 'collect_jigsw';                         // 拼图活动
const LUCKY_FOX = 'lucky_fox';                          // 幸运狐狸
const SUPER_BOMB = 'super_bomb';                        // 超级炸弹
const CRAZY_BUILD = 'crazy_build';                      // 疯狂建造
const SPECIAL_NOTICE = 'special_notice';                // 特殊公告
const SUPER_GASHAPON = 'super_gashapon';                // 超级扭蛋
const PERFECT_RAID = 'perfect_steal';                   // 完美偷袭
const PERFECT_ATTACK = 'perfect_attack';                // 完美打
const DRIFT_TREASURE = 'super_collect2';                // 漂流的宝藏
const CLUB_GARDEN = 'club_garden';                      // 公会花园
const CLUB_TOURNAMENT = 'club_tournament';              // 公会锦标赛
const GREAT_MEMORIES = 'great_memories';                // 回归签到
const PERFECT_CHEST_SPINS = "perfect_chestSpins";       // 皮肤宝箱最大体力
const PERFECT_RICH_KING = "perfect_richKing";           // richKing最大金币
const TREASURE = 'treasure';                            // 宝藏活动
const RANK = 'rank';                                    // 锦标赛 有进度
const RANK2 = 'rank2';                                  // 锦标赛 无进度
const BUILD_RANK = 'build_rank';                        // 建筑锦标赛 有进度
const BUILD_RANK2 = 'build_rank2';                      // 建筑锦标赛 无进度
const TRAFFIC_PERMIT = 'traffic_permit';                // 通行证
const CHOOSE_ONE = 'choose_one';                        // 二选一活动
const SPIN_SAFE = 'spin_safe';                          // 体力存钱罐（废弃活动）
const SPEED_SPINS = 'speed_spins';                      // 体力加速恢复
const DISCOUNTS_ARCHITECTURE = 'discounts_architecture';// 建筑打折
const COIN_BLAST = 'coin_blast';                        // 金币大爆炸
const SUPER_BALLOON = 'super_balloon';                  // 超级气球
const GOLDEN_CARD_TRADE = 'golden_card_trade';          // 金卡交换
const PREMIUM = 'premium';                              // g高价值小组
const TRAFFIC_PERMIT_BET = 'traffic_permit_bet';        // 通行证倍率
const TIME_LIMIT_INVITE = 'time_limit_invite';          // 限时邀请
const ARCHITECTURE = 'architecture';                    // 建筑大师
const DAILY_CHEST = 'daily_chest';                      // 每日宝箱
const CALLBACK_SCORE = 'callback_score';                // 好友召回
const CRAZY_BET = 'crazy_bet';                          // 疯狂加倍
const ACCUMULATED_PAY = 'accumulated_pay';              // 累计充值
const CRAZY_CARD_GROUP = 'crazy_card_group';            // 疯狂卡组
const MAYA_WHEEL = 'maya_wheel';                        // 玛雅转盘
const SUPER_COLLECT = 'super_collect';                  // 收集
const SUPER_SERIAL_PACK = 'super_serial_pack';          // 超级连环礼包
const SUPER_SERIAL_PACK2 = 'super_serial_pack2';        // 超级连环礼包2
const SUPER_SERIAL_PACK3 = 'super_serial_pack3';        // 六格连环礼包
const SUPER_SERIAL_PACK4 = 'super_serial_pack4';        // 六格连环礼包2
const SUPER_SERIAL_PACK5 = 'super_serial_pack5';        // 有进度六格连环礼包
const SUPER_SERIAL_PACK6 = 'super_serial_pack6';        // 有进度连环礼包1
const SUPER_SERIAL_PACK7 = 'super_serial_pack7';        // 有进度连环礼包2
const SAFE_SURPRISE = 'safe_surprise';                  // 安全惊喜礼包
const SHOP_PROMOTION = 'shop_promotion';                // 商城优惠券
const FOX_HAMMER = 'fox_hammer';                        // 狐狸之锤
const TIME_LIMITED_CARD = 'time_limited_card';          // 限时卡片
const TRAVEL_DIARY = 'super_collect3';                  // 旅行日记 travel diary
const PINATA = 'pinata';                                // 皮纳塔嘉年华
const SURPRISE_CARD = 'surprise_card';                  // 惊喜卡片活动
const TAROT = 'tarot';                                  // 塔罗牌
const CLUB_FARM = 'club_farm';                          // 公会农场
const LUCKY_DICE = 'lucky_dice';                        // 幸运骰子
const COIN_PUSH_MANIA = 'coin_push_mania';                   // 推金币活动
const SURPRISE_COLLECT = 'surprise_collect';                // 惊喜付费收集   - 偷
const JACKPOT = 'jackpot';                              // jackpot老虎机

/**
 * 平台宏定义
 */
const PLAT_ANDROID = "Android";
const PLAT_IOS = "iOS";

const PLAT_ALL = [
    PLAT_ANDROID,
    PLAT_IOS
];

/**
 * 礼包类型宏定义
 */
const UNFITNESS_PAY = 'unfitness_pay';      // 体力不足礼包
const SPRINT_PAY = 'sprint_pay';            // 冲刺礼包
const SERIAL_PACK = 'serial_pack';          // 超级连环礼包
const SERIAL_PACK_2 = 'serial_pack_2';      // 超级连环礼包2
const SERIAL_PACK_3 = 'serial_pack_3';      // 六格连环礼包
const serial_pack_4 = 'serial_pack_4';      // 六格连环礼包2
const serial_pack_5 = 'serial_pack_5';      // 有进度六格连环礼包
const serial_pack_6 = 'serial_pack_6';      // 有进度连环礼包1
const PICK_ONE = 'pick_one';                // 三选一礼包
const THEME_PACK = 'theme_pack';            // 主题礼包
const THEME_PACK2 = 'theme_pack2';          // 主题礼包2
const CHOOSE_YOU_WANT = 'choose_you_want';  // 随心配礼包
const SPINS_POT_GIFT = 'spins_pot_gift';    // 狐狸体力罐
const ONE_PLUS_GIFT = 'one_plus_gift';      // 狐狸体力罐


/**
 * 体力不足活动弹窗列表
 */
const UNFITNESS_POP_ACT_LIST = [
    UNFITNESS_PAY => '体力不足礼包',
    SPRINT_PAY => '冲刺礼包',
    SERIAL_PACK => '超级连环礼包',
    SERIAL_PACK_2 => '超级连环礼包2',
    SERIAL_PACK_3 => '六格连环礼包',
    serial_pack_4 => '六格连环礼包2',
    serial_pack_5 => '有进度六格连环礼包',
    serial_pack_6 => '有进度连环礼包1',
    PICK_ONE => '三选一礼包',
    THEME_PACK => '主题礼包',
    THEME_PACK2 => '主题礼包2',
    CHOOSE_YOU_WANT => '随心配礼包',
    SPINS_POT_GIFT => '狐狸体力罐',
    ONE_PLUS_GIFT => '1+1礼包活动',
    SUPER_SERIAL_PACK7 => '有进度连环礼包2',
    TRAFFIC_PERMIT => '通行证',
    SHOP_PROMOTION => '商城优惠券',
];

const NEW_PLAYER_COLLECT = "new_player_collect";
const BUSINESS_ACT = "business_act";

/**
 * 活动解锁列表
 */
const UNLOCK_ACT_LIST = [
    NEW_PLAYER_COLLECT => '新手收集活动',
    SUPER_COLLECT => '线上常规收集活动',
    RANK => '锦标赛',
    SPINS_MASTER => '体力大师',
    BUSINESS_ACT => '商业化活动（转盘、拼图、幸运小丑）',
    TREASURE => '金币老虎机',
];

/**
 * 奖励值只能为1的奖励类型
 */
const REWARD_NUM_ONE = [
    1, 2, 3, 4, 10, 11, 12, 19, 20, 21, 29, 30,// 宝箱
    13,// 随机金卡
    18,// 小丑卡
];

// 奖励超量二次验证
const REWARD_NUM_LIMIT = [
    9 => 100,
    15 => 100000
];

const CHEST_TYPE_WOOD = 1;
const CHEST_TYPE_SLIVER = 2;
const CHEST_TYPE_GOLDEN = 3;
const CHEST_TYPE_NORMALS = [
    CHEST_TYPE_WOOD => ['木质宝箱', 'woodChestNum'],
    CHEST_TYPE_SLIVER => ['白银宝箱', 'sliverChestNum'],
    CHEST_TYPE_GOLDEN => ['黄金宝箱', 'goldenChestNum'],
];

const PINATA_REWARD_TYPE_BONUS = 1; //pinata 大奖
const PINATA_REWARD_TYPE_COLLECTS = 2;//pinata 纪念品收集物
const PINATA_REWARD_TYPE_NORMAL = 3;//pinata 常规奖励

#活动类型与js文件的映射
const ACT_JS_MAPPING = [
    JIGSAW => 'jigsaw',
    TREASURE => 'treasure',
    MAYA_WHEEL => 'mayaWheel',
    CHOOSE_YOU_WANT => 'chooseYouWant',
    FOX_HAMMER => 'foxHammer',
    EASTER_EGG => 'easterEgg',
    SPINS_MASTER => 'spinsMaster',
    SUPER_SERIAL_PACK => 'superSerialPack',
    SUPER_SERIAL_PACK2 => 'superSerialPack',
    SUPER_SERIAL_PACK3 => 'superSerialPack',
    SUPER_SERIAL_PACK4 => 'superSerialPack',
    THEME_PACK => 'themePack',
    THEME_PACK2 => 'themePack',
    SAFE_SURPRISE => 'safeSurprise',
    SHOP_PROMOTION => 'shopPromotion',
    CHOOSE_ONE => 'pickOne',
    PICK_ONE => 'pickOne',
    ONE_PLUS_GIFT => 'onePlus',
    CALLBACK_SCORE => 'callbackScore',
    TIME_LIMIT_INVITE => 'timeLimitedCards',
    CLUB_TOURNAMENT => 'clubTournament',
    CLUB_GARDEN => 'clubGarden',
    GREAT_MEMORIES => 'greatMemories',
    BUILD_RANK => 'buildRank',
    BUILD_RANK2 => 'buildRank',
    RANK => 'buildRank',
    RANK2 => 'buildRank',
    TRAFFIC_PERMIT => 'trafficPermit',
    TIME_LIMITED_CARD => 'timeLimitedCards',
    SUPER_SERIAL_PACK6 => SUPER_SERIAL_PACK5,
    SUPER_SERIAL_PACK7 => SUPER_SERIAL_PACK5,
    TAROT => PINATA,
];

const ACT_COLORS = [
    1 => '蓝色',
    2 => '红色',
    3 => '绿色',
    4 => '橙色',
    5 => '紫色',
];

const CLIENT_FILTERED_ACT_TYPES = [
    PICK_ONE
];

/// 2 商城-体力
const APP_URL_SHOP_SPINS = 2;
/// 3 商城-金币
const APP_URL_SHOP_COINS = 3;
/// 4 商城-宝箱
const APP_URL_SHOP_CHEST = 4;
/// 5 商城-宠物
const APP_URL_SHOP_PET_FOOD = 5;
/// 6 建设弹框
const APP_URL_BUILD = 6;
/// 7 冒险岛 (现在跳转到水果机)
const APP_URL_MAPLESTORY = 7;
/// 8 冒险岛-大转盘 (现在跳转到水果机)
const APP_URL_TURNPLATE = 8;
/// 9 冒险岛-夺宝 (现在跳转到水果机)
const APP_URL_LUCKY_DRAW = 9;
/// 10 冒险岛-黄金矿工 (现在跳转到水果机)
const APP_URL_MINING = 10;
/// 11 冒险岛-金币老虎机
const APP_URL_COIN_SLOT = 11;
/// 12 个人信息
const APP_URL_USERINFO = 12;
/// 13 个人信息-背包
const APP_URL_USERINFO_BAG = 13;
/// 14 礼物
const APP_URL_GIFT = 14;
/// 15 排行榜
const APP_URL_RANK = 15;
/// 16 邀请好友
const APP_URL_INVITE_FRIEND = 16;
/// 17 消息
const APP_URL_MESSAGE = 17;
/// 18 地图
const APP_URL_MAP = 18;
/// 19 设置
const APP_URL_SETTING = 19;
/// 20 设置-检查更新
const APP_URL_SETTING_CHK_UPD = 20;
/// 21 设置-评分
const APP_URL_SETTING_ASSESS = 21;
/// 22 设置-兑换码
const APP_URL_SETTING_REDEEM_CODE = 22;
/// 23 帮助-反馈
const APP_URL_HELP_FEEDBACK = 23;
/// 24 宠物
const APP_URL_PET = 24;
/// 25 卡片
const APP_URL_CARD = 25;
/// 26 卡片-赠送
const APP_URL_GIVE_CARD = 26;
/// 27 卡片-索要
const APP_URL_ASK_FOR_CARD = 27;
/// 28 连环礼包
const APP_URL_SERIAL_PACK = 28;
/// 29 规则礼包
const APP_URL_RULE_PACK = 29;
/// 30 排行榜活动
const APP_URL_ACT_RANK = 30;
/// 31 收集活动
const APP_URL_ACT_COLLECT = 31;
/// 32 老虎机主界面
const APP_URL_SLOT_MAIN_VIEW = 32;
/// 34 通行证
const APP_URL_CRAZY_PASS = 34;
/// 101 直接弹奖励
const APP_URL_REWARD = 101;
/// 102 开启建筑大师活动n分钟
const APP_URL_ACT_BUILD = 102;
/// 103 开启加倍活动n分钟
const APP_URL_ACT_BET = 103;

const APP_URLS = [
    2 => '商城-体力',
    3 => '商城-金币',
    4 => '商城-宝箱',
    5 => '商城-宠物',
    6 => '建设弹框',
    7 => '冒险岛 (现在跳转到水果机)',
    8 => '冒险岛-大转盘 (现在跳转到水果机)',
    9 => '冒险岛-夺宝 (现在跳转到水果机)',
    10 => '冒险岛-黄金矿工 (现在跳转到水果机)',
    11 => '冒险岛-金币老虎机',
    12 => '个人信息',
    13 => '个人信息-背包',
    14 => '礼物',
    15 => '排行榜',
    16 => '邀请好友',
    17 => '消息',
    18 => '地图',
    19 => '设置',
    20 => '设置-检查更新',
    21 => '设置-评分',
    22 => '设置-兑换码',
    23 => '帮助-反馈',
    24 => '宠物',
    25 => '卡片',
    26 => '卡片-赠送',
    27 => '卡片-索要',
    28 => '连环礼包',
    29 => '规则礼包',
    30 => '排行榜活动',
    31 => '收集活动',
    32 => '老虎机主界面',
    34 => '通行证',
    101 => '直接弹奖励',
    102 => '开启建筑大师活动n分钟',
    103 => '开启加倍活动n分钟',
];

const ACTIVITY_COIN_HEADERS = [
    "levelId" => '等级',
    "collect" => '收集',
    "rank" => '排行榜',
    "treasureCollect" => '宝藏目标值',
    "treasureReward" => '宝藏金币值',
    "treasureBet" => '宝藏下注值',
    "luckyDiceCollect" => '幸运骰子目标值',
    "luckyDiceReward" => '幸运骰子金币值',
    "luckyDiceBet" => '幸运骰子下注值',
    "architecture" => '建筑大师',
    "accumulated_pay" => '累冲',
    "super_serial_pack" => '超级连环礼包',
    "super_balloon" => '超级气球',
    "easter_egg" => '四选一',
    "coin_push_mania" => '推币机活动',
    "jackpot_coin" => 'Jackpot金币值',
];
