<?php

return [
    "en_zh"=>[
        'en'=>'英文',
        'zh'=>'中文',
        'tw'=>'中文（台湾）',
        'fr'=>'法语',
        'de'=>'德语',
        'es'=>'西班牙',
        'pt'=>'葡萄牙',
        'th'=>'泰语',
        'vi'=>'越南',
        'no'=>'挪威',
        'id'=>'印尼',
        'ro'=>'罗马尼亚',
        'my'=>'马来西亚',
        'it'=>'意大利',
        'pl'=>'波兰',
    ],
    "lang_upper"=>[ //大写
        'LDE'=>'德国',
        'LEN'=>'英语',
        'LES'=>'西班牙',
        'LFR'=>'法语',
        'LID'=>'印度尼西亚',
        'LNO'=>'挪威',
        'LPT'=>'葡萄牙',
        'LTH'=>'泰国',
        'LTW'=>'中国台湾',
        'LVI'=>'越南',
        'LZH'=>'中国大陆',
        'LRO'=>'罗马尼亚',
        'LMY'=>'马来西亚',
        'LIT'=>'意大利',
        'LPL'=>'波兰',
    ],
    "lang_upper2"=>[
        'ZH' => "中文",
        'EN' => "英文",
        'TW' => "繁体",
        'FR' => "法语",
        'PT' => "葡萄牙语",
        'DE' => "德语",
        'ES' => "西班牙语",
        'TH' => "泰语",
        'ID' => "印尼语",
        'VI' => "越南语",
        'NO' => "挪威语",
        'RO' => "罗马尼亚",
        'MY' => "马来西亚",
        'IT' => "意大利",
        'PL'=>'波兰',
    ],
    "lang_card_group"=>[
        'cg_name'     => '卡组名称(英文)'
        ,'cg_name_zh' => '卡组名称(中文)'
        ,'cg_name_tw' => '卡组名称(繁体)'
        ,'cg_name_fr' => '卡组名称(法语)'
        ,'cg_name_de' => '卡组名称(德语)'
        ,'cg_name_es' => '卡组名称(西班牙)'
        ,'cg_name_pt' => '卡组名称(葡萄牙)'
        ,'cg_name_th' => '卡组名称(泰语)'
        ,'cg_name_vn' => '卡组名称(越南)'
        ,'cg_name_no' => '卡组名称(挪威)'
        ,'cg_name_id' => '卡组名称(印尼)'
        ,'cg_name_rou' => '卡组名称(罗马尼亚)'
        ,'cg_name_my' => '卡组名称(马来西亚)'
        ,'cg_name_it' => '卡组名称(意大利)'
        ,'cg_name_pl' => '卡组名称(波兰)'
    ],
    "lang_card"=>[
        'ci_name' => '卡片名称（英文）'
        ,'ci_name_zh' => '卡片名称（中文）'
        ,'ci_name_tw' => '卡片名称（繁体）'
        ,'ci_name_fr' => '卡片名称(法语)'
        ,'ci_name_de' => '卡片名称(德语)'
        ,'ci_name_es' => '卡片名称(西班牙)'
        ,'ci_name_pt' => '卡片名称(葡萄牙)'
        ,'ci_name_th' => '卡片名称(泰语)'
        ,'ci_name_vn' => '卡片名称(越南)'
        ,'ci_name_no' => '卡片名称(挪威)'
        ,'ci_name_id' => '卡片名称(印尼)'
        ,'ci_name_rou' =>  '卡片名称(罗马尼亚)'
        ,'ci_name_my' =>  '卡片名称(马来西亚)'
        ,'ci_name_it' =>  '卡片名称(意大利)'
        ,'ci_name_pl' => '卡片名称(波兰)'
    ],
    "lang_level"=>[
        'name' => '(中文)'
        ,'name_en' => '(英文)'
        ,'name_tw' => '(繁体)'
        ,'name_fr' => '(法语)'
        ,'name_de' => '(德语)'
        ,'name_es' => '(西班牙)'
        ,'name_pt' => '(葡萄牙)'
        ,'name_th' => '(泰语)'
        ,'name_vn' => '(越南)'
        ,'name_no' => '(挪威)'
        ,'name_id' => '(印尼)'
        ,'name_rou' => '(罗马尼亚)'
        ,'name_my' => '(马来西亚)'
        ,'name_it' => '(意大利)'
        ,'name_pl' => '(波兰)'
    ],

];