<link rel="stylesheet" href="<?php echo base_url(); ?>public/css/vendor/bootstrap/bootstrap-table.css">
<link rel="stylesheet" href="<?php echo base_url(); ?>public/css/vendor/bootstrap/table-fix-column.css">

<script src="<?php echo base_url(); ?>public/js/vendor/bootstrap/src/bootstrap-table.js"></script>
<script src="<?php echo base_url(); ?>public/js/vendor/bootstrap/src/table-fix-column.js"></script>

<style type="text/css">
    table {
        table-layout: fixed !important;
    }

    th {
        background: rgb(146, 208, 80);
    }

    td, th {
        max-width: 400px;
        word-wrap: break-word;
    }

    .table-hover > tbody > tr:hover {
        background-color: #c8bd6d;
    }

    input {
        width: 60px;
    }

    #roleTable tr:nth-child(5n) {
        background: rgb(198, 239, 206);
    }

    /**隔五行*/

    .fixed-table-toolbar {
        display: none;
    }

    .fileinput-button {
        position: relative;
        top: -5px;
    }

    .fileinput-button input {
        position: absolute;
        right: 0px;
        top: 0px;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
    }
</style>
<div class="content_wrapper">
    <div id="msg-tip"></div>
    <div class="container-fluid ">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>副老虎机/权重配置修改</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row" style="padding-left: 15px;">
                                <span id="filespanpro" class="btn btn-success fileinput-button">
                                    <span>导入概率</span>
                                    <input type="file" id="upfilepro">
                                </span>
                                <input type="button" style="display: none;margin-bottom: 10px;width: 80px;" class="btn btn-success" value="上传" id="btnpro"/>
                                <a type="button" href="/Export/assistantSlotWeights" style="margin-bottom: 10px;width: 80px;" class="btn btn-success">导出概率</a>
                            </div>
                            <HR>
                            <div class="form-group">
                                <a class="btn btn-success" href="/#assistantSlots/weightConf/1">1号位</a>
                                <a class="btn btn-success" href="/#assistantSlots/weightConf/2">2号位</a>
                                <a class="btn btn-success" href="/#assistantSlots/weightConf/3">3号位</a>
                            </div>
                            <button type="button" style="margin-bottom: 10px;width: 80px;" class="btn btn-danger" disabled id="commitBtn">提交</button>
                            <div class="row">

                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="roleTable" class="table table-bordered table-hover"
                                               data-toggle="table"
                                               data-classes="table table-hover"
                                               data-show-columns="true"
                                               data-striped="true"
                                               data-height="700">
                                            <thead>
                                            <tr>
                                                <?php if (!empty($title)) {
                                                    foreach ($title as $val) { ?>
                                                        <th><?php echo $val; ?></th>
                                                    <?php }

                                                } ?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if (is_array($list) && !empty($list)) {
                                                foreach ($list as $key => $vl) { ?>
                                                    <tr>
                                                        <td><?php echo $key; ?></td>
                                                        <?php foreach ($vl as $k => $v) { ?>
                                                            <td><?php echo $v['v']; ?></td>
                                                        <?php } ?>
                                                    </tr>
                                                <?php }
                                            } else { ?>
                                                <tr>
                                                    <td colspan="24" style="text-align: center">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>


</div>


<script src="<?php echo base_url(); ?>public/js/common.js"></script>

<script>
    var msgTip = $('#msg-tip');

    $("#btnpro").click(function () {
        var formData = new FormData();
        formData.append("file", document.getElementById("upfilepro").files[0]);
        showLoading()
        $.ajax({
            type: "POST", // 数据提交类型
            url: "assistantSlots/importWeightConf", // 发送地址
            data: formData, //发送数据
            async: true, // 是否异步
            processData: false, //processData 默认为false，当设置为true的时候,jquery ajax 提交的时候不会序列化 data，而是直接使用data
            contentType: false, //
            success: function (data) { // 成功回调
                hideLoading();
                data = JSON.parse(data);
                // console.log(data);
                if (data.ret == 0) {
                    window.location.reload();
                } else {
                    msgTip.messager().warn('上传失败');
                }
            },
            error: function () {
                hideLoading();
            }
        });
    });

    $("#filespanpro").on("change", "input[type='file']", function () {
        var filePath = $(this).val();
        //如果仅上传图片 if(filePath.indexOf("jpg") != -1 || filePath.indexOf("png") != -1) {
        if (filePath) {
            $('#filespanpro').hide();
            $('#btnpro').show();
        } else {
            return false
        }
    });

    $('#roleTable').on('paste', 'input', function (e) {
        var _that = $(this);
        var strArr = [];
        var pastedText = undefined;
        if (window.clipboardData && window.clipboardData.getData) { // IE
            pastedText = window.clipboardData.getData('Text');
        } else {
            pastedText = e.originalEvent.clipboardData.getData('Text');//e.clipboardData.getData('text/plain');
        }
        if (pastedText == undefined || pastedText == null || pastedText == '') {
            return;
        }
        //处理粘贴的数据,已空格拆分
        pastedText = pastedText.replace(/,/g, '');
        strArr = pastedText.split(/\s+/);

        setTimeout(function () {
            _that.val(strArr[0]);
        }, 200);

        for (var i = 1; i < strArr.length; i++) {
            _that.parent().siblings().eq(i - 1).removeClass('input').html(strArr[i] || '');
        }
    });

    $('#roleTable').on('dblclick', 'td', function () {
        const _this = $(this), tdText = _this.text();
        const cellIndex = _this[0].cellIndex;
        if (cellIndex === 0) {
            return false;
        } //点击操作列不可编辑

        _this.parent().addClass('modified')

        if (!_this.is('.input')) {
            _this.addClass('input').html('<input type="text" value="' + tdText + '" />').find('input').focus().blur(function () {
                const _input = $(this); //保存input对象
                const thisvalue = $(this).val();
                _input.parent().removeClass('input').html(thisvalue || '');
                if ($('#commitBtn').prop('disabled')) {
                    $('#commitBtn').attr('disabled', false);
                }
            });
        }

    });

    $('#roleTable').on('blur', '.add-row', function () {
        var _that = $(this);
        var thisval = _that.find('input');
        var div = $(thisval[0]).parent();
        if ($(thisval[0]).val() == "") {
            div.html(0);
        } else {
            div.html($(thisval[0]).val());
        }

        div.removeClass('input');
        div.parent().removeClass('input');
    });

    //提交表格数据
    $('#commitBtn').click(function () {
        const tr = $('#roleTable tr.modified');
        const arr = [];
        let td;
        for (let i = 0; i < tr.length; i++) {
            td = $(tr[i]).find('td');
            let tempData = []
            for (let j = 0; j < td.length; j++) {
                tempData[j] = $(td[j]).html();
            }
            arr.push(tempData)
        }

        $.ajaxSetup({
            async: true
        });

        // return;
        showLoading()
        $.ajax({
            type: 'POST',
            dataType: 'json',
            data: {
                data: arr,
            },
            url: 'assistantSlots/updateWeightConf/<?echo $type;?>',
            success: function (data) {
                hideLoading()
                if (data.ret == 0) {
                    window.location.reload()
                    $('#commitBtn').attr('disabled', true);
                } else {
                    msgTip.messager().error(data.msg);
                }
            },
            error: function (e, xhr) {
                console.log(e)
                console.log(xhr)
                hideLoading()
            }
        });
    });


</script>

