<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>金卡交换粉丝页</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="fansUrlForm" action="#" style="margin-top: 20px">
                <header><i class="fa fa-fw fa-file"></i>金卡交换粉丝页地址</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="recommendsubmitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <div class="row" style="border: 1px solid #CCC;margin:10px 5px;padding: 10px 0;">
                            <?php foreach ($list as $row){ ?>
                                <div class="form-group" >
                                    <input type="text" class="form-control" style="display: none" readonly name="conf[id][<?=$row['id']?>]" value="<?php echo $row['id'];?>">
                                    <label class="col-sm-1 control-label"><?=$row['name']?>: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control" readonly name="conf[lang][<?=$row['id']?>]" value="<?php echo $row['lang'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">粉丝页: </label>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control" name="conf[url][<?=$row['id']?>]" value="<?php echo $row['url'];?>">
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        $('#recommendsubmitBtn').click(function () {
            var data = new FormData(document.getElementById("fansUrlForm"));
            $.ajax({
                url: rootPath + 'Config/actFansUrl',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (data) {
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });
</script>
</html>
