<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>修改活动</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <link rel="stylesheet" href="<?php echo base_url();?>public/css/jquery.timepicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/select2/select2.min.css">

    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="configForm" action="#" style="margin-top: 20px">
                <header><i class="fa fa-fw fa-file"></i>上限配置</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="configsubmitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <?php foreach ($list as $key => $vl) { ?>
                            <div class="row AllTypeControl" style="border: 1px solid #CCC;margin:10px 5px;padding: 5px 0;">
                                <input type="hidden" class="form-control" name="config[<?php echo $vl['type'];?>][type]" value="<?php echo $vl['type'];?>">
                                <div class="form-group">
                                    <label class="col-sm-1 control-label"><button type="button" class="btn btn-success showHide" ><?php echo $vl['name'];?>配置</button></label>
                                    <div class="col-sm-5" style="display: none">
                                        <div class="container-fluid addOrDelControl" style="border: 1px solid #CCC;margin: 20px 15px;padding-top: 10px;">
                                            <?php foreach ($vl['data'] as $k => $reward) { ?>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">等级*: </label>
                                                    <div class="col-sm-2">
                                                        <input type="text" class="form-control"  name="config[<?php echo $vl['type'];?>][levelId][]" value="<?php echo $reward['levelId'];?>">
                                                    </div>
                                                    <label class="col-sm-2 control-label">上限*: </label>
                                                    <div class="col-sm-2">
                                                        <input type="text" class="form-control"  name="config[<?php echo $vl['type'];?>][upLimit][]" value="<?php echo $reward['upLimit'];?>">
                                                    </div>
                                                    <button type="button" class="btn btn-danger deleteParent" >删除</button>
                                                </div>
                                            <?php } ?>
                                            <button type="button" class="btn btn-success configAdd" types="<?php echo $vl['type'];?>" style="margin-left: 12px;margin-bottom: 10px;">增加</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        $('.addOrDelControl').on("click",'.deleteParent',function(){
            $(this).parent().remove();
        });


        $('.configAdd').on("click",function(){
            var type = $(this).attr('types');
            var str = "";
            str += '<div class="form-group"><label class="col-sm-2 control-label">等级*: </label><div class="col-sm-2"><input type="text" class="form-control"  name="config['+type+'][levelId][]" value="1">'
            str += '</div><label class="col-sm-2 control-label">上限*: </label><div class="col-sm-2"><input type="text" class="form-control" name="config['+type+'][upLimit][]" value="1"></div><button type="button" class="btn btn-danger deleteParent" >删除</button></div>';
            $(this).before(str);
        });


        $('.showHide').on("click",function(){
            if($(this).parent().next().css("display") == "block"){
                $(this).parent().next().hide(300);
            }else{
                $(this).parent().next().show(300);
            }
        });

        $('#configsubmitBtn').click(function () {
            var data = new FormData(document.getElementById("configForm"));
            $.ajax({
                url: rootPath + 'config/actionUpLimit',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false, //必须
                processData: false, //必须
                success: function (data) {
                    // console.log(data);
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });

</script>
</html>
