<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>修改活动</title>
    <!-- 最新版本的 Bootstrap 核心 CSS 文件 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
    <link rel="stylesheet" href="<?php echo base_url();?>public/css/jquery.timepicker.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/select2/select2.min.css">

    <style type="text/css">
        .thumbnail {
            margin:10px;
        }

        .lang-name {
            margin-left:42px;
        }

        .upimg {
            cursor: pointer;
        }

    </style>
</head>
<body>
<div id="msg-tip">

</div>
<div class="content_wrapper">
    <div class="container-fluid">
        <aside>
            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"  id="goodForm" action="#" style="margin-top: 20px">
                <input type="hidden" class="form-control" name="type" value="<?php echo $type;?>">
                <header><i class="fa fa-fw fa-file"></i>连环礼包</header>
                <section>
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-12">
                                <button type="button" class="btn btn-success" id="goodsubmitBtn">提交</button>
                            </div>
                        </div>
                    </div>
                    <div class="container-fluid">
                        <?php foreach ($list as $key => $vl) { ?>
                            <div class="row AllTypeControl" style="border: 1px solid #CCC;margin:10px 5px;padding: 5px 0;">
                                <div class="form-group" >
                                    <label class="col-sm-1 control-label">商品GID*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control" readonly name="good[<?php echo $vl['gid'];?>][gid]" value="<?php echo $vl['gid'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品名称*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gname]" value="<?php echo $vl['gname'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品SKU*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gsku]" value="<?php echo $vl['gsku'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品简介*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gdesc]" value="<?php echo $vl['gdesc'];?>">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-1 control-label">商品价格*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gprice]" value="<?php echo $vl['gprice'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品金币价格*: </label>
                                    <div class="col-sm-2">
                                        <select class="form-control typeControl" name="good[<?php echo $vl['gid'];?>][coins]">
                                            <option value="coins01" <?php if($vl['gsku1']['coins'] == "coins01") echo 'selected'; ?>>coins01</option>
                                            <option value="coins02" <?php if($vl['gsku1']['coins'] == "coins02") echo 'selected'; ?>>coins02</option>
                                            <option value="coins03" <?php if($vl['gsku1']['coins'] == "coins03") echo 'selected'; ?>>coins03</option>
                                            <option value="coins04" <?php if($vl['gsku1']['coins'] == "coins04") echo 'selected'; ?>>coins04</option>
                                            <option value="coins05" <?php if($vl['gsku1']['coins'] == "coins05") echo 'selected'; ?>>coins05</option>
                                            <option value="coins06" <?php if($vl['gsku1']['coins'] == "coins06") echo 'selected'; ?>>coins06</option>
                                        </select>
                                    </div>
                                    <label class="col-sm-1 control-label">价格倍率*: </label>
                                    <div class="col-sm-2">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][bet]" value="<?php echo $vl['gsku1']['bet'];?>">
                                    </div>
                                    <label class="col-sm-1 control-label">商品限购*: </label>
                                    <div class="col-sm-1">
                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gMax]" value="<?php echo $vl['gMax'];?>">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-1 control-label">商品货物*: </label>
                                    <div class="col-sm-8">
                                        <div class="container-fluid addOrDelControl" style="border: 1px solid #CCC;margin: 20px 15px;padding-top: 10px;">
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">金币*: </label>
                                                <div class="col-sm-3">
                                                    <select class="form-control typeControl" name="good[<?php echo $vl['gid'];?>][gbaseReward][coins][coins]">
                                                        <option value="coins01" <?php if($vl['gbaseReward']['coins']['coins'] == "coins01") echo 'selected'; ?>>coins01</option>
                                                        <option value="coins02" <?php if($vl['gbaseReward']['coins']['coins'] == "coins02") echo 'selected'; ?>>coins02</option>
                                                        <option value="coins03" <?php if($vl['gbaseReward']['coins']['coins'] == "coins03") echo 'selected'; ?>>coins03</option>
                                                        <option value="coins04" <?php if($vl['gbaseReward']['coins']['coins'] == "coins04") echo 'selected'; ?>>coins04</option>
                                                        <option value="coins05" <?php if($vl['gbaseReward']['coins']['coins'] == "coins05") echo 'selected'; ?>>coins05</option>
                                                        <option value="coins06" <?php if($vl['gbaseReward']['coins']['coins'] == "coins06") echo 'selected'; ?>>coins06</option>
                                                    </select>
                                                </div>
                                                <label class="col-sm-1 control-label">倍率*: </label>
                                                <div class="col-sm-3">
                                                    <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gbaseReward][coins][bet]" value="<?php echo $vl['gbaseReward']['coins']['bet'];?>">
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-sm-1 control-label">体力*: </label>
                                                <div class="col-sm-3">
                                                    <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gbaseReward][spins]" value="<?php echo $vl['gbaseReward']['spins'];?>">
                                                </div>
                                            </div>
                                            <?php foreach ($vl['gbaseReward']['props'] as $k => $reward) { ?>
                                                <div class="form-group">
                                                    <label class="col-sm-1 control-label">道具*: </label>
                                                    <div class="col-sm-3">
                                                        <select class="form-control propsSelect" data-gid="<?=$vl['gid']?>" name="good[<?php echo $vl['gid'];?>][gbaseReward][props][propsId][]">
                                                            <?php foreach ($idData as $propsId=>$props) { ?>
                                                                <option value="<?php echo $propsId;?>" <?php if($reward['propsId'] == $propsId) echo 'selected'; ?>><?php echo $props['msg'];?></option>
                                                            <?php } ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-1 control-label">数量*: </label>
                                                    <div class="col-sm-2">
                                                        <input type="text" class="form-control"  name="good[<?php echo $vl['gid'];?>][gbaseReward][props][num][]" value="<?php echo $reward['num'];?>">
                                                    </div>
                                                    <div class="skinSelect">
                                                    <?php if($reward['propsId'] == 19){?>
                                                    <label class="col-sm-1 control-label">皮肤*: </label>
                                                    <div class="col-sm-2">
                                                        <select class="form-control col-sm-3" name="good[<?php echo $vl['gid'];?>][gbaseReward][props][skin][]">
                                                            <?php foreach ($chestSkin as $skinId=>$name) { ?>
                                                                <option value="<?php echo $skinId;?>" <?php if(isset($reward['skin']) && $reward['skin'] == $skinId) echo 'selected'; ?>><?php echo $name;?></option>
                                                            <?php } ?>
                                                        </select>
                                                    </div>
                                                    <? } else { ?>
                                                        <input type="hidden" name="good[<?php echo $vl['gid'];?>][gbaseReward][props][skin][]" value="">
                                                    <?php } ?>
                                                    </div>
                                                    <button type="button" class="btn btn-danger deleteParent" >删除</button>
                                                </div>
                                            <?php } ?>
                                            <button type="button" class="btn btn-success addParent" gid="<?php echo $vl['gid'];?>" style="margin-left: 12px;margin-bottom: 10px;">增加</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </section>
            </form>
        </aside>
    </div>
</div>
</body>

<script>
    $(function () {
        var idData = JSON.parse('<?php echo json_encode($idData); ?>');

        $('.addOrDelControl').on("click",'.deleteParent',function(){
            $(this).parent().remove();
        });

        $('.addParent').on("click",function(){
            var gid = $(this).attr('gid');
            var str = "";
            str += '<div class="form-group"><label class="col-sm-1 control-label">道具*: </label><div class="col-sm-3"><select class="form-control propsSelect" data-gid="'+gid+'" name="good['+gid+'][gbaseReward][props][propsId][]"">';
            for(var x in idData) {
                str += '<option value="'+x+'">'+idData[x]['msg']+'</option>';
            }
            str += '</select></div><label class="col-sm-1 control-label">数量*: </label><div class="col-sm-2"><input type="text" class="form-control"  name="good['+gid+'][gbaseReward][props][num][]" value="1"></div>';
            str += '<div class="skinSelect"><input type="hidden" name="good['+gid+'][gbaseReward][props][skin][]" value=""></div>';
            str += '<button type="button" class="btn btn-danger deleteParent" >删除</button></div>';
            $(this).before(str);
        });

        $(document).on("change",".propsSelect",function(){
            var chestSkin = JSON.parse('<?php echo json_encode($chestSkin); ?>');
            var value = $(this).val();
            var gid = $(this).attr("data-gid");
            var str = '';
            if(value == 19){
                str = '<label class="col-sm-1 control-label">皮肤*: </label>';
                str += '<div class="col-sm-2">';
                str += '<select class="col-sm-3 form-control" name="good['+gid+'][gbaseReward][props][skin][]">';
                for(var x in chestSkin) {
                    str += '<option value="'+x+'">'+chestSkin[x]+'</option>';
                }
                str += '</select></div>';
            }else{
                str = '<input type="hidden" name="name" value="">';
            }
            $(this).parent("div").parent("div").find(".skinSelect").html(str);
        });

        $('#goodsubmitBtn').click(function () {
            var data = new FormData(document.getElementById("goodForm"));
            $.ajax({
                url: rootPath + 'shop/actionSerialPack',
                type: 'POST',
                data: data,
                dataType: 'json',
                contentType: false, //必须
                processData: false, //必须
                success: function (data) {
                    alert(data.msg);
                    window.location.reload();
                },
                error: function (msg) {
                    alert(data.msg);
                }
            });
        });
    });
</script>
</html>
