    <div class="content_wrapper">
    	<div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>类别查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <?php foreach ($actidList as $aid => $name) { ?>
                                        <a style="margin:5px;" class="btn btn-primary <?php if($aid == $actid){echo 'active';}?>" href="#statistics/event/<?php echo $aid;?>" role="button"><?php echo $name;?></a>
                                    <?php }?>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>事件统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">
$('#container').highcharts({
    chart: {
        zoomType: 'xy'
    },
    title: {
        text: '<?php echo $actname;?>'
    },
    subtitle: {
        text: '左坐标轴数量，右坐标轴百分比'
    },
    xAxis: [{
        categories: [<?php echo "'".implode("','", $dayList)."'";?>],
        crosshair: true
    }],
    yAxis: [{ // Primary yAxis
        labels: {
            format: '{value}',
            style: {
                color: Highcharts.getOptions().colors[1]
            }
        },
        title: {
            text: '数值',
            style: {
                color: Highcharts.getOptions().colors[1]
            }
        }
    }, { // Secondary yAxis
        title: {
            text: '百分比',
            style: {
                color: Highcharts.getOptions().colors[1]
            }
        },
        labels: {
            format: '{value} %',
            style: {
                color: Highcharts.getOptions().colors[1]
            }
        },
        opposite: true
    }],
    tooltip: {
        shared: true
    },

    series: [
        {
            name: '次数',
            data: [<?php echo implode(",", $times);?>]
        },{
            name: '人数',
            data: [<?php echo implode(",", $nums);?>]
        },{
            name: 'DAU',
            visible: false,
            data: [<?php echo implode(",", $totalLogin);?>]
        }

        <?php if(isset($money)){ echo ",{visible: false,name:'人均发放',data:[".implode(',', $money)."]}";}?>
        <?php if(isset($inviteSuc)){ echo ",{name:'邀请成功率',data:[".implode(',', $inviteSuc)."]}";}?>
        <?php if(isset($brokeTimes)){ echo ",{name:'破产次数',data:[".implode(',', $brokeTimes)."]}";}?>
        <?php if(isset($brokeNum)){ echo ",{name:'破产人数',data:[".implode(',', $brokeNum)."]}";}?>
        <?php if(isset($broke)){ echo ",{name:'破产率',data:[".implode(',', $broke)."],yAxis: 1,tooltip: {valueSuffix: '%'}}";}?>
        <?php if(isset($brokeRewardRate)){ echo ",{name:'破产领取率',data:[".implode(',', $brokeRewardRate)."],yAxis: 1,tooltip: {valueSuffix: '%'}}";}?>
        <?php if(isset($paysuc)){ echo ",{name:'成功订单数',data:[".implode(',', $paysuc)."]}";}?>
        <?php if(isset($paysucpro)){ echo ",{name:'成功订单率',data:[".implode(',', $paysucpro)."],yAxis: 1,tooltip: {valueSuffix: '%'}}";}?>
        ]
});
</script>