<div class="content_wrapper">
    <div class="container-fluid">
		
		<div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <a style="margin:5px;" class="btn btn-primary <?php if($type == 'total'){echo 'active';}?>" href="#statistics/levelStatistics/<?php echo $sid;?>/total" role="button">累计</a>
                                    <a style="margin:5px;" class="btn btn-primary <?php if($type == 'active'){echo 'active';}?>" href="#statistics/levelStatistics/<?php echo $sid;?>/active" role="button">活跃</a>
                                </div>
                                <div class="col-sm-12">
                                    <a style="margin:5px;" class="btn btn-primary <?php if($sid == 999){echo 'active';}?>" href="#statistics/levelStatistics/999/<?php echo $type;?>" role="button">全部</a>
                                    <a style="margin:5px;" class="btn btn-primary <?php if($sid == 1){echo 'active';}?>" href="#statistics/levelStatistics/1/<?php echo $type;?>" role="button">安卓</a>
                                    <a style="margin:5px;" class="btn btn-primary <?php if($sid == 2){echo 'active';}?>" href="#statistics/levelStatistics/2/<?php echo $type;?>" role="button">苹果</a>
                                </div>
                            </div>
                        </div>
                    </section>

                </aside>
            </div>
        </div>
        
		<div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>等级分布情况10~<?php echo $maxLevel; ?>区间</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container10_100" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
		<?php
			foreach($range as $k => $v){
		?>

        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>等级分布情况<?php echo $listType[$k]; ?></header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container<?php echo $k; ?>" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
        <?php
			}
		?>
		
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

var chart = Highcharts.chart('container10_100', {
    chart: {
        type: 'line'
    },
    title: {
        text: '等级分布情况10~<?php echo $maxLevel; ?>区间'
    },
    xAxis: {
        categories: [<?php echo "'".implode("','", $range10_100)."'";?>]
    },
    yAxis: {
        title: {
            text: '数值'
        }
    },
    plotOptions: {
        line: {
            dataLabels: {
                // 开启数据标签
                enabled: true          
            },
            // 关闭鼠标跟踪，对应的提示框、点击事件会失效
            enableMouseTracking: false
        }
    },
    series: [{
        name: '人数',
        data: [<?php echo implode(",", $list10_100);?>]
    }]
});


<?php
	foreach($list as $k => $v){
?>

Highcharts.chart('container<?php echo $k; ?>', {
    chart: {
        type: 'line'
    },
    title: {
        text: '等级分布情况<?php echo $listType[$k]; ?>'
    },
    subtitle: {
        text: ''
    },
    xAxis: {
        categories: [<?php echo "'".implode("','", $range[$k])."'";?>]
    },
    yAxis: {
        title: {
            text: '数值'
        }
    },
    plotOptions: {
        line: {
            dataLabels: {
                enabled: true
            },
            enableMouseTracking: false
        }
    },
    series: [{
        name: '人数',
        data: [<?php echo implode(",", $v);?>]
    }]
});

<?php
	}
?>

</script>