<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/todaySpinsMoneyLevelSta" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="payuserindex_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="payuserindex_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        
        <?php
        function formatChipRound($value, $round=2)
        {
            $value = ceil($value);

            if(1 <= abs($valueB = round($value / 1000000000, $round))) {
                return  $valueB . 'B';
            }else if(1 <= abs($valueM=round($value / 1000000, $round))) {
                return $valueM . 'M';
            }else if(1 <= abs($valueK = round($value / 1000), $round)) {
                return $valueK . 'K';
            }else {
                return $value;
            }
        }
        ?>
                                            
		<?php 
			foreach($types as $types_k => $types_v){
		?>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i><?php echo $types_v; ?></header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="table-responsive">
                                    <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                        <thead>
                                        <tr>
                                            <th rowspan="2" style="text-align: center;vertical-align: middle;">日期</th>
                                            <th rowspan="2" style="text-align: center;vertical-align: middle;">类型</th>
                                            <th colspan="<?php echo count($levelRange);?>" style="text-align: center;vertical-align: middle;">关卡</th>
                                        </tr>
                                        <tr>
                                        	<?php 
                                        		foreach($levelRange as $k => $v){
                                        			echo "<th>".$v."</th>";
                                        		}
                                        	?>
                                            
                                            
                                        </tr>
                                        </thead>
                                        <tbody id="reportBody">
                                        <?php
                                         if(is_array($data)){
                                            foreach($data as $k => $val){
                                                ?>
                                                <tr>
                                                	<td style="white-space: nowrap" rowspan="3"><?php echo $val['date'];?></td>
                                                	<td style="white-space: nowrap">总值</td>
                                                	<?php
                                                	for($i = 1;$i <= count($levelRange); $i++){
                                                		$spinsAdd = isset($val['data'][$types_k][$i])?formatChipRound($val['data'][$types_k][$i]):0;
                                                		echo '<td style="white-space: nowrap">'.$spinsAdd.'</td>';
                                                	}
                                                	?>
                                                	
                                                </tr>
                                                <tr>
                                                	
                                                	<td style="white-space: nowrap">人均</td>
                                                	<?php
                                                	for($i = 1;$i <= count($levelRange); $i++){
                                                		$spinsAdd = formatChipRound(isset($val['data'][$types_k][$i])?$val['data'][$types_k][$i]/(isset($val['data']['people'][$i-1])?$val['data']['people'][$i-1]:0):0);
                                                		echo '<td style="white-space: nowrap">'.$spinsAdd.'</td>';
                                                	}
                                                	?>
                                                	
                                                </tr>
                                                <tr>
                                                	
                                                	<td style="white-space: nowrap">人数</td>
                                                	<?php
                                                	for($i = 0;$i < count($levelRange); $i++){
                                                		$people = isset($val['data']['people'][$i])?$val['data']['people'][$i]:0;
                                                		echo '<td style="white-space: nowrap">'.$people.'</td>';
                                                	}
                                                	?>
                                                </tr>
                                                <?php
                                            }
                                         }
                                        ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <?php 
			}
		?>
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>

<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>