<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/todayUpLvelSta" name="stanpform">
                                        <input type="hidden" value="1" name="payuserpost"/>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>开始时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="payuserindex_stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                            <label>结束时间</label>
                                            <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="payuserindex_etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>当天人均通关数(总通关数/DAU)</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container1" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
            <?php
            foreach($section as $row){
            ?>
                <div class="col-sm-12">
                    <aside>
                        <header><i class="fa fa-fw fa-file"></i>当天人均通关数(区间通关数/区间人数) 区间<?php echo $row[0]."~".$row[1]; ?></header>
                        <section>
                            <div class="container-fluid">
                                <div class="row">
                                    <div id="container<?php echo $row[0]."_".$row[1];?>" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                                </div>
                            </div>
                        </section>
                    </aside>
                </div>
            <?php
            }
            ?>
        </div>
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

    Highcharts.chart('container1', {
        chart: {
            type: 'line'
        },
        title: {
            text: '当天人均通关数'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo implode(",",$date); ?>]
        },
        yAxis: {
            title: {
                text: '数量'
            }
        },
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true
                },
                enableMouseTracking: false
            }
        },
        series: [
            {
                name:'数量',
                data:[<?php echo implode(',',$data); ?>]
            }
        ]
    });

    <?php
    foreach($section as $key => $row){
    ?>

    Highcharts.chart('container<?php echo $row[0]."_".$row[1];?>', {
        chart: {
            type: 'line'
        },
        title: {
            text: '当天人均通关数 区间<?php echo $row[0]."_".$row[1];?>'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo implode(",",$date); ?>]
        },
        yAxis: {
            title: {
                text: '数量'
            }
        },
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true
                },
                enableMouseTracking: false
            }
        },
        series: [
            {
                name:'数量',
                data:[<?php
                    foreach($date as $k => $vo){
                        echo (empty($dataSection[$k][$key]['count'])?0:($dataSection[$k][$key]['total'] / $dataSection[$k][$key]['count'])).",";
                    }
                    ?>]
            }
        ]
    });

    <?php } ?>

</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>