<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">

        <aside>
            <section>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-12">
                            <form class="form-inline" role="form" method="POST" action="#user/manyDaysLog" name="stanpform">
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>开始时间</label>
                                    <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                </div>
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>结束时间</label>
                                    <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                </div>
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>uid</label>
                                    <input type="text" class="form-control" value="<?php echo $uid;?>" placeholder="uid" name="uid" />
                                </div>
                                <span class="gap"></span>
                                <div class="form-group">
                                    <label>类型</label>
                                    <select name="rid" class="form-control">
                                        <option value="1" <?php if($rid == 1) echo 'selected'; ?>>老虎机-摇奖</option>
                                        <option value="30" <?php if($rid == 30) echo 'selected'; ?>>卡组-收集满</option>
                                        <option value="217" <?php if($rid == 217) echo 'selected'; ?>>通行证</option>
                                        <option value="112" <?php if($rid == 112) echo 'selected'; ?>>宠物升级</option>
                                    </select>
                                </div>
                                <button type="submit" class="btn btn-primary">查询</button>
                            </form>
                        </div>
                    </div>
                </div>
            </section>
        </aside>

        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>用户流水</header>
                    <section>
                        <div class="container-fluid">

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="example" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th>类型</th>
                                                <th>rid</th>
                                                <th>数量</th>
                                                <th>增减</th>
                                                <th>来源</th>
                                                <th>最终值</th>
                                                <th>时间</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if(is_array($list)){
                                                foreach ($list as $key => $val) {
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $val['type'];?></td>
                                                        <td><?php echo $val['rid'];?></td>
                                                        <td><?php echo $val['num'];?></td>
                                                        <td><?php echo $val['crease'];?></td>
                                                        <td><?php echo $val['reason'];?></td>
                                                        <td><?php echo $val['last_num'];?></td>
                                                        <td><?php echo date("Y-m-d H:i:s",$val['time']);?></td>
                                                    </tr>
                                                <?php } } else{?>
                                                <tr>
                                                    <td colspan="10">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>

                                            </tbody>
                                        </table>
                                    </div>

                                    <nav>
                                        <ul class="pagination">
                                            <li class="disabled"><a href="#">共<span class="pagetotal"><?php echo $total;?></span>条</a></li>
                                            <?php echo $pageurl;?>
                                        </ul>
                                    </nav>

                                </div>
                            </div>

                        </div>
                    </section>
                </aside>
            </div>
        </div>




    </div>
</div>


<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });


</script>