<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

<div class="content_wrapper">
    <div class="container-fluid">
        
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>积分等级分布</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container1" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
            
            <div class="col-sm-12">
                <div class="table-responsive">
                    <table id="reportTable" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th style="text-align: center;vertical-align: middle;">等级</th>
								<?php
									foreach($data as $k => $v){
										echo '<th style="text-align: center;vertical-align: middle;">'.$k.'</th>';
									}
								?>
                                <th style="text-align: center;vertical-align: middle;">合计</th>
                            </tr>
                        
                        </thead>
                        <tbody id="reportBody">
                        	<tr>
                        		<th style="text-align: center;vertical-align: middle;">人数</th>
                        		<?php
									foreach($data as $k => $v){
										echo '<td style="text-align: center;vertical-align: middle;">'.$v.'</td>';
									}
								?>
                        		<td style="text-align: center;vertical-align: middle;"><?php echo array_sum($data); ?></td>
                        	</tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
    </div>
</div>
</div>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript">

    Highcharts.chart('container1', {
        chart: {
            type: 'line'
        },
        title: {
            text: '积分等级分布'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo implode(",",array_keys($data)); ?>]
        },
        yAxis: {
            title: {
                text: '数值'
            }
        },
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true
                },
                enableMouseTracking: false
            }
        },
        series: [
            {
                name:'数值',
                data:[<?php echo implode(',',$data); ?>]
            }
        ]
    });


</script>
<script type="text/javascript">
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>