<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>
<div class="content_wrapper">
    <div class="container-fluid">
        
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                        	<div class="row">
                                <div class="col-sm-12">
		                        	<div class="btn-group" style="margin-bottom:20px;">
		                                <a href="#vip/paySta/time" class="btn btn-primary">订阅日期</a>
		                                <a href="#vip/paySta/count" class="btn btn-primary">订阅次数</a>
		                                <a href="#vip/paySta/point" class="btn btn-primary">积分</a>
		                            </div>
                            	</div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#vip/paySta">
                                        <span class="gap"></span>
                                        
                                        <div class="form-group">
                                            <label>查询玩家:</label>
                                            
                                            <input type="text" class="form-control" value="<?php if($uid) echo $uid;?>" placeholder="uid" name="uid" />
                                        </div>
                                        <span class="gap"></span>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>VIP玩家详情</header>
                    <section>
                        <div class="container-fluid">

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="example" class="table table-striped table-bordered table-hover" cellspacing="0" width="100%">
                                            <thead>
                                            <tr>
                                                <th>玩家ID</th>
                                                <th>当前积分</th>
                                                <th>订阅状态</th>
                                                <th>最后订阅日期</th>
                                                <th>订阅周期</th>
                                                <th>订阅次数</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php foreach($data as $k => $v){ ?>
                                            <tr>
                                                <td><?php echo $v['uid']; ?></td>
                                                <td><?php echo $v['vipPoint']; ?></td>
                                                <td><?php echo $v['vip']?'已订阅':'未订阅'; ?></td>
                                                <td><?php echo date("Y-m-d H:i:s",$v['sl_pay_time']); ?></td>
                                                <td><?php echo $v['sl_gid']==801?'一周':'一个月'; ?></td>
                                                <td><?php echo $v['count']; ?></td>
                                            </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    
                                    <nav>
                                        <ul class="pagination">
                                            <li class="disabled"><a href="#">共<span class="pagetotal"><?php echo $total;?></span>条</a></li>
                                            <?php echo $pageurl;?>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                        </div>

                           
                        
                    </section>
                </aside>
            </div>
        </div>
    </div>

</div>

<script>
    //选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>